﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.DIDS.000002
         ELS Ref: V9

		    IF ([dids12] <> NULLORBLANK) AND (ANY CHARACTER OF [dids12] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [dids12] = rvctc2.xx.xx:IncomeTax.Deduction.InterestDividend.Description
    -->
    <assert id="VR.ATO.DIDS.000002" diagnostics="DVR.ATO.DIDS.000002"
            test="not(
                        $dids12
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>


    <!-- Rule ID: VR.ATO.DIDS.000004
         ELS Ref: V9

		    IF ([dids13] <> NULLORBLANK) AND (ANY CHARACTER OF [dids13] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
		       RETURN VALIDATION MESSAGE
		    ENDIF

		    [dids13] = bafpo7.xx.xx:Assets.Investment.ProductInvestmentName.Text
    -->
    <assert id="VR.ATO.DIDS.000004" diagnostics="DVR.ATO.DIDS.000004"
            test="not(
                        $dids13
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>


    <!-- Rule ID: VR.ATO.GEN.428258
         ELS Ref: V139

		    IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  " - " )
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids14] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.GEN.428258" diagnostics="DVR.ATO.GEN.428258"
            test="not(
                        $dids14
                        [
                            matches(.,'^(.*) - (.*)$')
                        ]              
                    )"/>


    <!-- Rule ID: VR.ATO.GEN.410040
         ELS Ref: V138B

		    IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text DOES NOT CONTAIN SET("A-Z","a-z"))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids16] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.410040" diagnostics="DVR.ATO.GEN.410040"
            test="not(
                        $dids16
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                        ]                            
                      )"/>


    <!-- Rule ID: VR.ATO.GEN.428263
         ELS Ref: V138C

		    IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET(""-_-"",""'’"",""  "") )
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids16] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.428263" diagnostics="DVR.ATO.GEN.428263"
            test="not(                         
                         $dids16
                         [
                            matches(.,'^(.*)(--|('')('')|  )(.*)$')
                         ]
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.428262
         ELS Ref: V139

		    IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS "" - "")
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids16] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.428262" diagnostics="DVR.ATO.GEN.428262"
            test="not(
                          $dids16
                          [
                              matches(.,'^(.*) - (.*)$')
                          ]                         
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.410063
         ELS Ref: V138B

		    IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text DOES NOT CONTAIN SET("A-Z","a-z"))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids17] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.410063" diagnostics="DVR.ATO.GEN.410063"
            test="not(
                        $dids17
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                        ]                            
                      )"/>


    <!-- Rule ID: VR.ATO.GEN.428265
         ELS Ref: V138C

		    IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET(""-_-"",""'’"",""  "") )
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids17] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.428265" diagnostics="DVR.ATO.GEN.428265"
            test="not(                         
                         $dids17
                         [
                            matches(.,'^(.*)(--|('')('')|  )(.*)$')
                         ]
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.428264
         ELS Ref: V139

		    IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS  " - ")
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids17] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.428264" diagnostics="DVR.ATO.GEN.428264"
            test="not(
                          $dids17
                          [
                              matches(.,'^(.*) - (.*)$')
                          ]                         
                     )"/>


    <!-- Rule ID: VR.ATO.GEN.410131
         ELS Ref: V138B

		    IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text DOES NOT CONTAIN SET(""A-Z"",""a-z""))
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids18] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.GEN.410131" diagnostics="DVR.ATO.GEN.410131"
            test="not(
                        $dids18
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                        ]                            
                      )"/>


    <!-- Rule ID: VR.ATO.GEN.428266
         ELS Ref: V139

		    IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS  " - ")
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids18] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.GEN.428266" diagnostics="DVR.ATO.GEN.428266"
            test="not(
                          $dids18
                          [
                              matches(.,'^(.*) - (.*)$')
                          ]                         
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.428267
         ELS Ref: V138C

		    IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS SET(""-_-"",""'’"",""  "") )
           RETURN VALIDATION MESSAGE
        ENDIF

		    [dids18] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.GEN.428267" diagnostics="DVR.ATO.GEN.428267"
            test="not(                         
                         $dids18
                         [
                            matches(.,'^(.*)(--|('')('')|  )(.*)$')
                         ]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.500023
         ELS Ref: V9
         
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF       
        
        [dids14] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.GEN.500023" diagnostics="DVR.ATO.GEN.500023"
            test="not(     
                        $dids14
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]    
                    )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.500024
         ELS Ref: V9
         
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF     
        
        [dids16] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.500024" diagnostics="DVR.ATO.GEN.500024"
            test="not(     
                        $dids16
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]    
                    )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.500025
         ELS Ref: V9
         
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("{"",""}"",""|"",""_"",""\"",""#"))
           RETURN VALIDATION MESSAGE
        ENDIF
  
        [dids17] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.500025" diagnostics="DVR.ATO.GEN.500025"
            test="not(     
                        $dids17
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]    
                    )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.500042
         ELS Ref: V9
         
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF
  
        [dids18] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.GEN.500042" diagnostics="DVR.ATO.GEN.500042"
            test="not(     
                        $dids18
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]    
                    )"/>
  </rule>
    
</pattern>