﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    
    <!-- Rule ID: VR.ATO.DIDS.000038
         ELS Tag: V17
         
         IF ([dids12] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [dids12] = rvctc2.xx.xx:IncomeTax.Deduction.InterestDividend.Description
    -->
    <assert id="VR.ATO.DIDS.000038" diagnostics="DVR.ATO.DIDS.000038"
            test="not(
                        not($dids12[not(@i:nil='true') and string-length(.) != 0])
                     )" />
    
    
    <!-- Rule ID: VR.ATO.DIDS.000039
         ELS Tag: V17
         
         IF ([dids13] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [dids13] = bafpo7.xx.xx:Assets.Investment.ProductInvestmentName.Text
    -->
    <assert id="VR.ATO.DIDS.000039" diagnostics="DVR.ATO.DIDS.000039"
            test="not(
                        not($dids13[not(@i:nil='true') and string-length(.) != 0])
                     )" />
    
    
    <!-- Rule ID: VR.ATO.DIDS.000040
         ELS Tag: V17
         
         IF ([dids19] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [dids19] = bafpo7.xx.xx:Assets.Investment.Type.Code
    -->
    <assert id="VR.ATO.DIDS.000040" diagnostics="DVR.ATO.DIDS.000040"
            test="not(
                        not($dids19[not(@i:nil='true') and string-length(.) != 0])
                     )" />
    
    
    <!-- Rule ID: VR.ATO.DIDS.000041
         ELS Tag: V17
         
         IF ([dids20] = NULL)
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [dids20] = bafpo7.xx.xx:Assets.Investment.AdvancePayment.Indicator
    -->
    <assert id="VR.ATO.DIDS.000041" diagnostics="DVR.ATO.DIDS.000041"
            test="not(
                        not($dids20[not(@i:nil='true') and string-length(.) != 0])
                     )" />
    
    
    <!-- Rule ID: VR.ATO.DIDS.000042
         ELS Tag: V17
         
         IF ([dids21] = NULL)
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [dids21] = rvctc2.xx.xx:IncomeTax.Deduction.InterestDividendClaimed.Amount
    -->
    <assert id="VR.ATO.DIDS.000042" diagnostics="DVR.ATO.DIDS.000042"
            test="not(
                        not($dids21[not(@i:nil='true') and string-length(.) != 0])
                     )" />
    
  </rule>
    
</pattern>
