﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Crossform Content Validations</title>

  <rule context="xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/iitr/iitr_0003/iitr.0003.lodge.request.02.00.report.xsd'] and not(@i:nil='true')]">
    <!-- Rule ID: VR.ATO.IITR.310083
    
         IF ([iitr334] <> NULL OR [iitr335] > 0 OR [iitr336] > 0 OR [iitr337] > 0) AND (COUNT(SCHEDULE = "RS") = 0)
            RETURN VALIDATION MESSAGE
         ENDIF
      
         [iitr334] = bafpr2.xx.xx:Income.RealEstateProperty.Rental.Amount
         [iitr335] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeInterestDeductions.Amount
         [iitr336] = rvctc2.xx.xx:IncomeTax.Deduction.CapitalWorksDeductions.Amount
         [iitr337] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
    -->
    <assert  id="VR.ATO.IITR.310083" diagnostics="DVR.ATO.IITR.310083"
             test="not(
                          (
                            $iitr334[not(@i:nil='true')]
                            or
                            $iitr335 > 0
                            or
                            $iitr336 > 0
                            or
                            $iitr337 > 0
                          )
                          and
                          count($RS.Context) = 0
                      )" />
  </rule>

  <rule context="xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/rs/rs_0001/rs.0001.lodge.request.02.00.report.xsd'] and not(@i:nil='true')]">
   
    <!-- Rule ID: VR.ATO.IITR.210049
    
         IF COUNT(SCHEDULE = "RS") > 0 AND ANY OCCURRENCE OF [RS12] <> "117"
           RETURN VALIDATION MESSAGE
         ENDIF
      
         [rs12] = pyde.xx.xx:Party.Type.Code
    -->
    <assert  id="VR.ATO.IITR.210049" diagnostics="DVR.ATO.IITR.210049"
             test="not(
                          $rs12[. != '117']
                      )" />
    
    
    <!-- Rule ID: VR.ATO.IITR.300153
    
         IF (COUNT(SCHEDULE = "RS") > 0) AND (ANY OCCURRENCE OF (RS:RP:period.endDate) <> RP:period.endDate)
             RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.300153" diagnostics="DVR.ATO.IITR.300153"
             test="not(
                        $RS.RP.Context/xbrli:period/xbrli:endDate
                        !=
                        $IITR.RP.Context/xbrli:period/xbrli:endDate
                      )" />

    
    <!-- Rule ID: VR.ATO.IITR.300155
    
         IF (COUNT(SCHEDULE = "RS") > 0) AND (ANY OCCURRENCE OF (RS:RP:period.startDate) <> RP:period.startDate)
              RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.300155" diagnostics="DVR.ATO.IITR.300155"
             test="not(
                        $RS.RP.Context/xbrli:period/xbrli:startDate
                        !=
                        $IITR.RP.Context/xbrli:period/xbrli:startDate
                      )" />


    <!-- Rule ID: VR.ATO.IITR.310084
    
         IF (COUNT(SCHEDULE = "RS") > 0) AND ([iitr334] = NULL AND ([iitr335] = NULL OR [iitr335] = 0) AND ([iitr336] = NULL OR [iitr336] = 0) AND ([iitr337] = NULL OR [iitr337] = 0)) 
            RETURN VALIDATION MESSAGE
         ENDIF
      
         [iitr334] = bafpr2.xx.xx:Income.RealEstateProperty.Rental.Amount
         [iitr335] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeInterestDeductions.Amount
         [iitr336] = rvctc2.xx.xx:IncomeTax.Deduction.CapitalWorksDeductions.Amount
         [iitr337] = rvctc2.xx.xx:IncomeTax.Deduction.RentalIncomeDeductionsOtherThanInterestAndCapitalWorks.Amount
    -->
    <assert  id="VR.ATO.IITR.310084" diagnostics="DVR.ATO.IITR.310084"
             test="not(
                          not($iitr334[not(@i:nil='true')])
                          and
                          (
                            not($iitr335[not(@i:nil='true')])
                            or
                            sum($iitr335) = 0
                          )
                          and
                          (
                            not($iitr336[not(@i:nil='true')])
                            or
                            sum($iitr336) = 0
                          )
                          and
                          (
                            not($iitr337[not(@i:nil='true')])
                            or
                            sum($iitr337) = 0
                          )
                      )" />


    <!--
            IF (RP:entity.identifier.TFN <> PARENT RETURN:RP:entity.identifier.TFN)
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->

    <assert  id="VR.ATO.GEN.402009" diagnostics="DVR.ATO.GEN.402009" test="not(
                        xbrli:context[@id = $RS.RP.ContextId]/xbrli:entity
                        /xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        !=
                        $IITR.RP.Context/xbrli:entity/xbrli:identifier[(@scheme = 'http://www.ato.gov.au/tfn') and not(@i:nil='true' or @i:nil='1')]
                      )"></assert>
    
    
  </rule>
</pattern>
