﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Crossform Content Validations</title>

  <rule context="xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/iitr/iitr_0003/iitr.0003.lodge.request.02.00.report.xsd'] and not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.IITR.310090
         ELS Ref: V2317

         IF 
         ([iitr13] <> NULL) 
         AND 
         (
          COUNT(SCHEDULE = "RS") > 0 
          OR 
          COUNT(SCHEDULE = "CGTS") = 1 
          OR 
          COUNT(SCHEDULE = "PSS") = 1 
          OR 
          COUNT(SCHEDULE = "DIDS") > 0 
          OR 
          COUNT(SCHEDULE = "WRE") = 1 
          OR 
          COUNT(RP.{ETPSeqNum}) > 0 
          OR 
          COUNT(RP.{SLSPSeqNum}) > 0
        )
             RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.IITR.310090" diagnostics="DVR.ATO.IITR.310090"
            test="not(
                          $iitr13[not(@i:nil='true')]
                          and
                          (
                            count($RS.Context) > 0
                            or
                            count($CGT.Context) = 1
                            or
                            count($PSS.Context) = 1
                            or
                            count($DIDS.Context) > 0
                            or
                            count($WRE.Context) = 1
                            or
                            count($IITR.RPETPSEQ.Context) > 0
                            or
                            count($IITR.RPSLSPSEQ.Context) > 0
                          )
                      )" />
    
    
    <!-- Rule ID: VR.ATO.IITR.310086
         ELS Ref: V371

         IF COUNT(SCHEDULE="WRE") > 1
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.IITR.310086" diagnostics="DVR.ATO.IITR.310086"
            test="not(
                          count($WRE.Context) > 1                  
                      )" />
    
    
    <!-- Rule ID: VR.ATO.IITR.310101
         ELS Ref: V172D

         IF (COUNT(SCHEDULE = "WRE") = 1) 
          AND ((([iitr139] <> NULL) AND ([iitr139] <> SUM([wre47])))
                    OR (([iitr139] = NULL) AND (SUM([wre47]) <> 0)))
             RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.IITR.310101" diagnostics="DVR.ATO.IITR.310101"
            test="not(
                          count($WRE.Context) = 1
                          and
                          sum($iitr139) != sum($wre47)
                      )" />
    
    
    <!-- Rule ID: VR.ATO.IITR.310102 Part 1/2
         ELS Ref: V182A
         
         IF ([iitr134] > 0) 
            AND 
            (COUNT(SCHEDULE = "WRE") = 1) 
            AND 
            (
              ([wre12] = NULLORBLANK) 
              OR 
              (COUNT(WRE:RP.{CarSeqNum}) = 0)
              OR 
              ANY OCCURRENCE OF(WRE:RP.{CarSeqNum}) = (WRE:RP.{CarSeqNum} WHERE [wre13] = NULLORBLANK OR [wre22] = NULL OR [wre15] = NULLORBLANK))
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.310102" diagnostics="DVR.ATO.IITR.310102"
             test="not(
                          sum($iitr134) > 0
                          and
                          count($WRE.Context) = 1
                          and
                          (
                            count($WRE.RPCARSEQ.Context) = 0
                            or
                            not($wre12[not(@i:nil='true') and string-length(.) != 0])
                          )
                      )" />
    
    
    <!-- Rule ID: VR.ATO.IITR.310103 Part 1/2
         ELS Ref: V182B
         
         IF ([iitr136] > 0) 
         AND 
         (COUNT(SCHEDULE = "WRE") = 1) 
         AND 
         (
          ([wre24] = NULLORBLANK) 
          OR 
          (COUNT(WRE:RP.{TrvlSeqNum}) = 0) 
          OR 
          ANY OCCURRENCE OF(WRE:RP.{TrvlSeqNum}) = (WRE:RP.{TrvlSeqNum} WHERE [wre25] = NULLORBLANK OR [wre29] = NULL OR [wre27] = NULLORBLANK))
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.310103" diagnostics="DVR.ATO.IITR.310103"
             test="not(
                          sum($iitr136) > 0
                          and
                          count($WRE.Context) = 1
                          and
                          (
                            count($WRE.RPTRAVELSEQ.Context) = 0
                            or
                            not($wre24[not(@i:nil='true') and string-length(.) != 0])
                          )
                      )" />
    
    
    <!-- Rule ID: VR.ATO.IITR.310104 Part 1/2
         ELS Ref: V182C
         
         IF ([iitr137] > 0) AND (COUNT(SCHEDULE = "WRE") = 1) AND (([wre31] = NULLORBLANK) OR (COUNT(WRE:RP.{ClthngSeqNum}) = 0) OR ANY OCCURRENCE OF(WRE:RP.{ClthngSeqNum}) = (WRE:RP.{ClthngSeqNum} WHERE [wre32] = NULLORBLANK OR [wre36] = NULL OR [wre34] = NULLORBLANK))
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.310104" diagnostics="DVR.ATO.IITR.310104"
             test="not(
                          sum($iitr137) > 0
                          and
                          count($WRE.Context) = 1
                          and
                          (
                            count($WRE.RPCLOTHINGSEQ.Context) = 0
                            or
                            not($wre31[not(@i:nil='true') and string-length(.) != 0])
                          )
                      )" />
    
    
    <!-- Rule ID: VR.ATO.IITR.310105 Part 1/2
         ELS Ref: V182D
         
         IF ([iitr139] > 0) AND (COUNT(SCHEDULE = "WRE") = 1) AND (([wre38] = NULLORBLANK) OR ([wre47] = NULL) OR (COUNT(WRE:RP.{EduSeqNum}) = 0) OR ANY OCCURRENCE OF(WRE:RP.{EduSeqNum}) = (WRE:RP.{EduSeqNum} WHERE ([wre39] = NULLORBLANK OR [wre40] = NULLORBLANK OR [wre41] = NULLORBLANK OR [wre45] = NULL OR [wre43] = NULLORBLANK)))
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.310105" diagnostics="DVR.ATO.IITR.310105"
             test="not(
                          sum($iitr139) > 0
                          and
                          count($WRE.Context) = 1
                          and
                          (
                            count($WRE.RPEDUCATIONSEQ.Context) = 0
                            or
                            not($wre38[not(@i:nil='true') and string-length(.) != 0])
                            or
                            not($wre47[not(@i:nil='true')])
                          )
                      )" />
    
    
    <!-- Rule ID: VR.ATO.IITR.310132
         ELS Ref: V172A

         IF (COUNT(SCHEDULE = "WRE") = 1) 
          AND 
          (
            (
              ([iitr134] <> NULL) 
              AND 
              ([iitr134] <> SUM([wre22])
            )
          )
          OR 
          (
            ([iitr134] = NULL) 
            AND 
            (SUM([wre22]) <> 0)
          )
         )
             RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.IITR.310132" diagnostics="DVR.ATO.IITR.310132"
            test="not(
                          count($WRE.Context) = 1
                          and
                          sum($iitr134) != sum($wre22)
                      )" />
    
    
    <!-- Rule ID: VR.ATO.IITR.310133
         ELS Ref: V172B

         IF (COUNT(SCHEDULE = "WRE") = 1) 
          AND 
          (
            (
              ([iitr136] <> NULL) 
              AND 
              ([iitr136] <> SUM([wre29])
            )
          )
          OR 
          (
            ([iitr136] = NULL) 
            AND 
            (SUM([wre29]) <> 0)
          )
         )
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.IITR.310133" diagnostics="DVR.ATO.IITR.310133"
            test="not(
                          count($WRE.Context) = 1
                          and
                          sum($iitr136) != sum($wre29)
                      )" />
    
    
    <!-- Rule ID: VR.ATO.IITR.310134
         ELS Ref: V172C

         IF (COUNT(SCHEDULE = "WRE") = 1) 
          AND ((([iitr137] <> NULL) AND ([iitr137] <> SUM([wre36])))
                    OR (([iitr137] = NULL) AND (SUM([wre36]) <> 0)))
             RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.IITR.310134" diagnostics="DVR.ATO.IITR.310134"
            test="not(
                          count($WRE.Context) = 1
                          and
                          sum($iitr137) != sum($wre36)
                      )" />
    
    
    <!-- Rule ID: VR.ATO.IITR.310135
         ELS Ref: V172E

         IF (COUNT(SCHEDULE = "WRE") = 1) 
          AND ((([iitr141] <> NULL) AND ([iitr141] <> SUM([wre55])))
                    OR (([iitr141] = NULL) AND (SUM([wre55]) <> 0)))
             RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.IITR.310135" diagnostics="DVR.ATO.IITR.310135"
            test="not(
                          count($WRE.Context) = 1
                          and
                          sum($iitr141) != sum($wre55)
                      )" />


    <!-- Rule ID: VR.ATO.IITR.600043
         ELS Ref: N/A
         
          IF (COUNT(SCHEDULE = "WRE") = 1) AND (WRE:RP:period.startDate <> RP:period.startDate)
                RETURN VALIDATION MESSAGE
          ENDIF    
    -->
    <assert  id="VR.ATO.IITR.600043" diagnostics="DVR.ATO.IITR.600043"
             test="not(
                          count($WRE.Context) = 1
                          and
                          (
                              $WRE.RP.Context/xbrli:period/xbrli:startDate
                              !=
                              $IITR.RP.Context/xbrli:period/xbrli:startDate                              
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.600044
         ELS Ref: N/A
         
         IF (COUNT(SCHEDULE = "WRE") = 1) AND (WRE:RP:period.endDate <> RP:period.endDate)
             RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.600044" diagnostics="DVR.ATO.IITR.600044"
             test="not(
                          count($WRE.Context) = 1
                          and
                          (
                              $WRE.RP.Context/xbrli:period/xbrli:endDate
                              !=
                              $IITR.RP.Context/xbrli:period/xbrli:endDate                              
                          )
                      )" />


    <!-- Rule ID: VR.ATO.IITR.600045
         ELS Ref: N/A
         
         IF (COUNT(SCHEDULE = "WRE") = 1) AND (WRE:RP:entity.identifier.TFN <> RP:entity.identifier.TFN)
             RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.600045" diagnostics="DVR.ATO.IITR.600045"
             test="not(
                          count($WRE.Context) = 1
                          and
                          (
                              $WRE.RP.Context/xbrli:entity/xbrli:identifier
                              !=
                              $IITR.RP.Context/xbrli:entity/xbrli:identifier                            
                          )
                      )" />
  </rule>

  <rule context="xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/wre/wre_0002/wre.0002.lodge.request.02.00.report.xsd'] and not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.IITR.300059
         ELS Ref: V211
         
         IF (COUNT(SCHEDULE = "WRE") = 1) AND (ANY OCCURRENCE OF([wre25]) = "Award") AND (([iitr65] = NULL) OR ([iitr65] = 0))
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.300059" diagnostics="DVR.ATO.IITR.300059"
             test="not(
                          some $this25 in $wre25
			                    satisfies
			                    (
                            $this25 = 'Award'
                          )
                          and
                          count($WRE.Context) = 1
                          and
                          sum($iitr65) = 0
                      )" />
    
    
    <!-- Rule ID: VR.ATO.IITR.300079
         ELS Ref: V230
         
         IF (COUNT(SCHEDULE = "WRE") = 1) AND (ANY OCCURRENCE OF([wre50]) = "Overtime meal allowance") AND (([iitr65] = NULL) OR ([iitr65] = 0))
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.300079" diagnostics="DVR.ATO.IITR.300079"
             test="not(
                          some $this50 in $wre50
			                    satisfies
			                    (
                            $this50 = 'Overtime meal allowance'
                          )
                          and
                          count($WRE.Context) = 1
                          and
                          sum($iitr65) = 0
                      )" />

  </rule>
  
  <!-- LOOP OVER REPORTING PARTY TRAVEL SEQUENCE DIMENSION CONTEXT -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $WRE.RPTRAVELSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.300064
         ELS Ref: V212
         
         WHERE IN (WRE:RP.{TrvlSeqNum})
         IF (COUNT(SCHEDULE = "WRE") = 1) AND ([wre25] = SET("Domestic","Overseas")) AND ([wre27] = "Allowance") AND (([iitr65] = NULL) OR ([iitr65] = 0))
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.300064" diagnostics="DVR.ATO.IITR.300064"
             test="not(
                          $wre25[(. = 'Domestic' or . = 'Overseas') and @contextRef = $thisContextId]
                          and
                          $wre27[@contextRef = $thisContextId] = 'Allowance'
                          and
                          count($WRE.Context) = 1
                          and
                          sum($iitr65) = 0
                      )" />
    
    
    <!-- Rule ID: VR.ATO.IITR.310103 Part 2/2
         ELS Ref: V182A
         
         IF ([iitr136] > 0) 
         AND 
         (COUNT(SCHEDULE = "WRE") = 1) 
         AND 
         (
          ([wre24] = NULLORBLANK) 
          OR 
          (COUNT(WRE:RP.{TrvlSeqNum}) = 0) OR ANY OCCURRENCE OF(WRE:RP.{TrvlSeqNum}) = (WRE:RP.{TrvlSeqNum} WHERE [wre25] = NULLORBLANK OR [wre29] = NULL OR [wre27] = NULLORBLANK))
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.310103" diagnostics="DVR.ATO.IITR.310103"
             test="not(
                          sum($iitr136) > 0
                          and
                          count($WRE.Context) = 1
                          and
                          (  
                            not($wre25[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                            or
                            not($wre29[not(@i:nil='true') and @contextRef = $thisContextId])
                            or
                            not($wre27[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                          )
                      )" />

  </rule>
  
  <!-- LOOP OVER REPORTING PARTY CAR SEQUENCE DIMENSION CONTEXT -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $WRE.RPCARSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.310102 Part 2/2
         ELS Ref: V182A
         
         IF ([iitr134] > 0) 
            AND 
            (COUNT(SCHEDULE = "WRE") = 1) 
            AND 
            (
              ([wre12] = NULLORBLANK) 
              OR 
              (COUNT(WRE:RP.{CarSeqNum}) = 0)
              OR 
              ANY OCCURRENCE OF(WRE:RP.{CarSeqNum}) = (WRE:RP.{CarSeqNum} WHERE [wre13] = NULLORBLANK OR [wre22] = NULL OR [wre15] = NULLORBLANK))
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.310102" diagnostics="DVR.ATO.IITR.310102"
             test="not(
                          sum($iitr134) > 0
                          and
                          count($WRE.Context) = 1
                          and
                          (  
                            not($wre13[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                            or
                            not($wre22[not(@i:nil='true') and @contextRef = $thisContextId])
                            or
                            not($wre15[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                          )
                      )" />

  </rule>
  
  <!-- LOOP OVER REPORTING PARTY CLOTHING SEQUENCE DIMENSION CONTEXT -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $WRE.RPCLOTHINGSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.310104 Part 2/2
         ELS Ref: V182C
         
         IF ([iitr137] > 0) AND (COUNT(SCHEDULE = "WRE") = 1) AND (([wre31] = NULLORBLANK) OR (COUNT(WRE:RP.{ClthngSeqNum}) = 0) OR ANY OCCURRENCE OF(WRE:RP.{ClthngSeqNum}) = (WRE:RP.{ClthngSeqNum} WHERE [wre32] = NULLORBLANK OR [wre36] = NULL OR [wre34] = NULLORBLANK))
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.310104" diagnostics="DVR.ATO.IITR.310104"
             test="not(
                          sum($iitr137) > 0
                          and
                          count($WRE.Context) = 1
                          and
                          (  
                            not($wre32[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                            or
                            not($wre36[not(@i:nil='true') and @contextRef = $thisContextId])
                            or
                            not($wre34[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                          )
                      )" />

  </rule>
  
  <!-- LOOP OVER REPORTING PARTY EDUCATION SEQUENCE DIMENSION CONTEXT -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $WRE.RPEDUCATIONSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.310105 Part 2/2
         ELS Ref: V182D
         
         IF ([iitr139] > 0) AND (COUNT(SCHEDULE = "WRE") = 1) AND (([wre38] = NULLORBLANK) OR ([wre47] = NULL) OR (COUNT(WRE:RP.{EduSeqNum}) = 0) OR ANY OCCURRENCE OF(WRE:RP.{EduSeqNum}) = (WRE:RP.{EduSeqNum} WHERE ([wre39] = NULLORBLANK OR [wre40] = NULLORBLANK OR [wre41] = NULLORBLANK OR [wre45] = NULL OR [wre43] = NULLORBLANK)))
             RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.310105" diagnostics="DVR.ATO.IITR.310105"
             test="not(
                          sum($iitr139) > 0
                          and
                          count($WRE.Context) = 1
                          and
                          (  
                            not($wre39[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                            or
                            not($wre40[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                            or
                            not($wre41[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                            or
                            not($wre45[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                            or
                            not($wre43[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                          )
                      )" />

  </rule>
  
  <!-- LOOP OVER REPORTING PARTY EDUCATION SEQUENCE DIMENSION CONTEXT -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $WRE.RPOTHERSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.310106
         ELS Ref: V182E
         
         IF ([iitr141] > 0) 
          AND 
          (COUNT(SCHEDULE = "WRE") = 1) 
          AND 
          (COUNT(WRE:RP.{OTHWRSeqNum}) > 0) 
          AND 
          (ANY OCCURRENCE OF([wre50]) <> NULLORBLANK) 
          AND 
          (
            ([wre49] = NULLORBLANK) 
            OR 
            (
              ANY OCCURRENCE OF(WRE:RP.{OTHWRSeqNum}) = 
              (
                WRE:RP.{OTHWRSeqNum} WHERE 
                (
                  ([wre50] <> NULLORBLANK) 
                  AND 
                  (
                    [wre55] = NULL 
                    OR 
                    [wre53] = NULLORBLANK
                  )
                )
              )
            )
          )
             RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.IITR.310106" diagnostics="DVR.ATO.IITR.310106"
             test="not(
                          sum($iitr141) > 0
                          and
                          count($WRE.Context) = 1
                          and
                          count($WRE.RPOTHERSEQ.Context) > 0
                          and
                          $wre50[not(@i:nil='true') and string-length(.) != 0]
                          and
                          (
                            not($wre49[not(@i:nil='true') and string-length(.) != 0])
                            or
                            (
                              $wre50[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId]
                              and
                              (
                                not($wre55[not(@i:nil='true') and @contextRef = $thisContextId])
                                or
                                not($wre53[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                              )
                            )
                          )
                      )" />
  </rule>
  
</pattern>
