﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron"
				 xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Field Pattern Validations for Deductions</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.IITR.210046
         ELS Ref: V7

		     IF [iitr558] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr558] = bafpr1.xx.xx:Income.SmallBusinessEntityNet.Amount
    -->
    <assert id="VR.ATO.IITR.210046" diagnostics="DVR.ATO.IITR.210046"
						test="not(
												$iitr558[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>

    
    <!-- Rule ID: VR.ATO.IITR.210047
         ELS Ref: V7

		     IF [iitr559] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr559] = bafpr1.xx.xx:Income.SmallBusinessEntityNet.Amount
    -->
    <assert id="VR.ATO.IITR.210047" diagnostics="DVR.ATO.IITR.210047"
						test="not(
												$iitr559[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.210048
         ELS Ref: V7

		     IF [iitr557] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr557] = bafpr1.xx.xx:Income.SmallBusinessEntityNet.Amount
    -->
    <assert id="VR.ATO.IITR.210048" diagnostics="DVR.ATO.IITR.210048"
						test="not(
												$iitr557[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600049
         ELS Ref: V7

		    IF [iitr134] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr134] = rvctc2.xx.xx:IncomeTax.Deduction.Car.Amount
    -->
    <assert id="VR.ATO.IITR.600049" diagnostics="DVR.ATO.IITR.600049"
						test="not(
												$iitr134[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600050
         ELS Ref: V7

		    IF [iitr136] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr136] = rvctc2.xx.xx:IncomeTax.Deduction.Travel.Amount
    -->
    <assert id="VR.ATO.IITR.600050" diagnostics="DVR.ATO.IITR.600050"
						test="not(
												$iitr136[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600051
         ELS Ref: V7

		    IF [iitr137] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr137] = rvctc2.xx.xx:IncomeTax.Deduction.Clothing.Amount
    -->
    <assert id="VR.ATO.IITR.600051" diagnostics="DVR.ATO.IITR.600051"
						test="not(
												$iitr137[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600052
         ELS Ref: V7

		    IF [iitr139] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr139] = rvctc2.xx.xx:IncomeTax.Deduction.EducationNet.Amount
    -->
    <assert id="VR.ATO.IITR.600052" diagnostics="DVR.ATO.IITR.600052"
						test="not(
												$iitr139[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600053
         ELS Ref: V7

		    IF [iitr141] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr141] = rvctc2.xx.xx:IncomeTax.Deduction.WorkRelatedOther.Amount
    -->
    <assert id="VR.ATO.IITR.600053" diagnostics="DVR.ATO.IITR.600053"
						test="not(
												$iitr141[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600054
         ELS Ref: V7

		    IF [iitr142] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr142] = rvctc2.xx.xx:IncomeTax.Deduction.LowValuePoolFinancialInvestments.Amount
    -->
    <assert id="VR.ATO.IITR.600054" diagnostics="DVR.ATO.IITR.600054"
						test="not(
												$iitr142[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600055
         ELS Ref: V7

		    IF [iitr143] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr143] = rvctc2.xx.xx:IncomeTax.Deduction.LowValuePoolRentalProperties.Amount
    -->
    <assert id="VR.ATO.IITR.600055" diagnostics="DVR.ATO.IITR.600055"
						test="not(
												$iitr143[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600056
         ELS Ref: V7

		    IF [iitr144] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr144] = rvctc2.xx.xx:IncomeTax.Deduction.LowValuePoolOther.Amount
    -->
    <assert id="VR.ATO.IITR.600056" diagnostics="DVR.ATO.IITR.600056"
						test="not(
												$iitr144[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600057
         ELS Ref: V7

		    IF [iitr145] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr145] = rvctc2.xx.xx:IncomeTax.Deduction.LowValuePool.Amount
    -->
    <assert id="VR.ATO.IITR.600057" diagnostics="DVR.ATO.IITR.600057"
						test="not(
												$iitr145[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600058
         ELS Ref: V7

		    IF [iitr146] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr146] = rvctc2.xx.xx:IncomeTax.Deduction.Interest.Amount
    -->
    <assert id="VR.ATO.IITR.600058" diagnostics="DVR.ATO.IITR.600058"
						test="not(
												$iitr146[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600059
         ELS Ref: V7

		    IF [iitr147] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr147] = rvctc2.xx.xx:IncomeTax.Deduction.Dividend.Amount
    -->
    <assert id="VR.ATO.IITR.600059" diagnostics="DVR.ATO.IITR.600059"
						test="not(
												$iitr147[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600060
         ELS Ref: V7

		    IF [iitr148] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr148] = rvctc2.xx.xx:IncomeTax.Deduction.GiftDonation.Amount
    -->
    <assert id="VR.ATO.IITR.600060" diagnostics="DVR.ATO.IITR.600060"
						test="not(
												$iitr148[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600061
         ELS Ref: V7

		    IF [iitr149] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr149] = rvctc2.xx.xx:IncomeTax.Deduction.TaxAffairManagement.Amount
    -->
    <assert id="VR.ATO.IITR.600061" diagnostics="DVR.ATO.IITR.600061"
						test="not(
												$iitr149[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600062
         ELS Ref: V7

		    IF [iitr150] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr150] = bafpr1.xx.xx:Expense.DeductionsTotal.Amount
    -->
    <assert id="VR.ATO.IITR.600062" diagnostics="DVR.ATO.IITR.600062"
						test="not(
												$iitr150[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600063
         ELS Ref: V7

		    IF [iitr153] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr153] = rvctc1.xx.xx:IncomeTax.LossesBroughtForwardPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.600063" diagnostics="DVR.ATO.IITR.600063"
						test="not(
												$iitr153[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600064
         ELS Ref: V7

		    IF [iitr154] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr154] = rvctc1.xx.xx:IncomeTax.LossesClaimedPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.600064" diagnostics="DVR.ATO.IITR.600064"
						test="not(
												$iitr154[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600065
         ELS Ref: V7

		    IF [iitr155] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr155] = rvctc1.xx.xx:IncomeTax.LossesBroughtForwardNonPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.600065" diagnostics="DVR.ATO.IITR.600065"
						test="not(
												$iitr155[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600066
         ELS Ref: V7

		    IF [iitr156] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr156] = rvctc1.xx.xx:IncomeTax.LossesClaimedNonPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.600066" diagnostics="DVR.ATO.IITR.600066"
						test="not(
												$iitr156[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600067
         ELS Ref: V7

		    IF [iitr188] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr188] = rvctc1.xx.xx:IncomeTax.ExceptedNetIncomeUnder18.Amount
    -->
    <assert id="VR.ATO.IITR.600067" diagnostics="DVR.ATO.IITR.600067"
						test="not(
												$iitr188[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600068
         ELS Ref: V7

		    IF [iitr194] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr194] = rvctc1.xx.xx:IncomeTax.InvestmentPartnershipOtherSource.Amount
    -->
    <assert id="VR.ATO.IITR.600068" diagnostics="DVR.ATO.IITR.600068"
						test="not(
												$iitr194[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600069
         ELS Ref: V7

		    IF [iitr197] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr197] = rvctc1.xx.xx:IncomeTax.Deduction.BusinessOther.Amount
    -->
    <assert id="VR.ATO.IITR.600069" diagnostics="DVR.ATO.IITR.600069"
						test="not(
												$iitr197[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.600070
         ELS Ref: V7

		    IF [iitr157] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr157] = bafpr1.xx.xx:Income.Taxable.Amount
    -->
    <assert id="VR.ATO.IITR.600070" diagnostics="DVR.ATO.IITR.600070"
            test="not(
                        $iitr157[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.600071
         ELS Ref: V7

		    IF [iitr196] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr196] = rvctc1.xx.xx:IncomeTax.EmploymentBusinessOther.Amount
    -->
    <assert id="VR.ATO.IITR.600071" diagnostics="DVR.ATO.IITR.600071"
            test="not(
                        $iitr196[not(matches(.,'^(-)?[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.610047
         ELS Ref: V7

		    IF [iitr358] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr358] = rvctc2.xx.xx:IncomeTax.Deduction.ForeignPensionAnnuityIncomeUndeductedPurchasePrice.Amount
    -->
    <assert id="VR.ATO.IITR.610047" diagnostics="DVR.ATO.IITR.610047"
						test="not(
												$iitr358[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610054
         ELS Ref: V7

		     IF [iitr366] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr366] = rvctc2.xx.xx:IncomeTax.Deduction.ProjectPool.Amount
    -->
    <assert id="VR.ATO.IITR.610054" diagnostics="DVR.ATO.IITR.610054"
						test="not(
												$iitr366[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610055
         ELS Ref: V7

		     IF [iitr368] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr368] = bafpr1.xx.xx:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
    -->
    <assert id="VR.ATO.IITR.610055" diagnostics="DVR.ATO.IITR.610055"
						test="not(
												$iitr368[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610056
         ELS Ref: V7

		     IF [iitr370] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr370] = rvctc2.xx.xx:IncomeTax.Deduction.Election.Amount
    -->
    <assert id="VR.ATO.IITR.610056" diagnostics="DVR.ATO.IITR.610056"
						test="not(
												$iitr370[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610068
         ELS Ref: V7

		     IF [iitr450] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr450] = bafpo1.xx.xx:Assets.OpeningStock.Amount
    -->
    <assert id="VR.ATO.IITR.610068" diagnostics="DVR.ATO.IITR.610068"
            test="not(
                        $iitr450[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.610069
         ELS Ref: V7

		     IF [iitr452] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr452] = bafpo1.xx.xx:Assets.ClosingStock.Amount
    -->
    <assert id="VR.ATO.IITR.610069" diagnostics="DVR.ATO.IITR.610069"
            test="not(
                        $iitr452[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.610070
         ELS Ref: V7

		     IF [iitr454] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr454] = bafpr1.xx.xx:Expense.ForeignResidentWithholding.Amount
    -->
    <assert id="VR.ATO.IITR.610070" diagnostics="DVR.ATO.IITR.610070"
            test="not(
                        $iitr454[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.610071
         ELS Ref: V7

		     IF [iitr456] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr456] = emsup.xx.xx:SuperannuationContribution.EmployerContributions.Amount
    -->
    <assert id="VR.ATO.IITR.610071" diagnostics="DVR.ATO.IITR.610071"
            test="not(
                        $iitr456[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.610072
         ELS Ref: V7

		    IF [iitr458] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr458] = bafpr2.xx.xx:Expense.Operating.Lease.Amount
    -->
    <assert id="VR.ATO.IITR.610072" diagnostics="DVR.ATO.IITR.610072"
            test="not(
                        $iitr458[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.610073
         ELS Ref: V7

		     IF [iitr460] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr460] = bafpr2.xx.xx:Expense.Operating.InterestAustralia.Amount
    -->
    <assert id="VR.ATO.IITR.610073" diagnostics="DVR.ATO.IITR.610073"
            test="not(
                        $iitr460[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.610074
         ELS Ref: V7

		     IF [iitr462] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr462] = bafpr1.xx.xx:Expense.DepreciationandAmortisation.Amount
    -->
    <assert id="VR.ATO.IITR.610074" diagnostics="DVR.ATO.IITR.610074"
						test="not(
												$iitr462[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610077
         ELS Ref: V7

		     IF [iitr466] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr466] = bafpr2.xx.xx:Expense.Operating.Other.Amount
    -->
    <assert id="VR.ATO.IITR.610077" diagnostics="DVR.ATO.IITR.610077"
						test="not(
												$iitr466[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610078
         ELS Ref: V7

		     IF [iitr468] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr468] = bafpr2.xx.xx:Expense.Operating.BusinessNonPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.610078" diagnostics="DVR.ATO.IITR.610078"
						test="not(
												$iitr468[not(matches(.,'^(-)?[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610079
          ELS Ref: V7

		     IF [iitr470] <> MONETARY(U,11,0)
		          RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr470] = bafpr1.xx.xx:Expense.ProjectPoolAllowableDeduction.Amount
    -->
    <assert id="VR.ATO.IITR.610079" diagnostics="DVR.ATO.IITR.610079"
						test="not(
												$iitr470[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610129
         ELS Ref: V7

		     IF [iitr399] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr399] = rvctc1.xx.xx:IncomeTax.FamilyTrustDistributionWhereTaxPaid.Amount
    -->
    <assert id="VR.ATO.IITR.610129" diagnostics="DVR.ATO.IITR.610129"
						test="not(
												$iitr399[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610130
         ELS Ref: V7

		     IF [iitr401] <> MONETARY(U,13,2)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr401] = bafpr2.xx.xx:Income.Interest.EarlyPaymentCredit.Amount
    -->
    <assert id="VR.ATO.IITR.610130" diagnostics="DVR.ATO.IITR.610130"
						test="not(
												$iitr401[not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610140
         ELS Ref: V7

		     IF [iitr451] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr451] = bafpr2.xx.xx:Expense.Purchases.AndOtherCosts.Amount
    -->
    <assert id="VR.ATO.IITR.610140" diagnostics="DVR.ATO.IITR.610140"
						test="not(
												$iitr451[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610143
         ELS Ref: V7

		     IF [iitr455] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr455] = bafpr2.xx.xx:Expense.Operating.EmploymentCostsTotal.Amount
    -->
    <assert id="VR.ATO.IITR.610143" diagnostics="DVR.ATO.IITR.610143"
						test="not(
												$iitr455[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610144
         ELS Ref: V7

		     IF [iitr457] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr457] = bafpr2.xx.xx:Expense.Operating.BadDebts.Amount
    -->
    <assert id="VR.ATO.IITR.610144" diagnostics="DVR.ATO.IITR.610144"
						test="not(
												$iitr457[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610145
         ELS Ref: V7

		     IF [iitr459] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr459] = bafpr2.xx.xx:Expense.Operating.Rent.Amount
    -->
    <assert id="VR.ATO.IITR.610145" diagnostics="DVR.ATO.IITR.610145"
						test="not(
												$iitr459[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610146
         ELS Ref: V7

		     IF [iitr461] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr461] = bafpr2.xx.xx:Expense.Operating.InterestForeign.Amount
    -->
    <assert id="VR.ATO.IITR.610146" diagnostics="DVR.ATO.IITR.610146"
						test="not(
												$iitr461[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610147
         ELS Ref: V7

		     IF [iitr463] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr463] = bafpr2.xx.xx:Expense.Operating.MotorVehicle.Amount
    -->
    <assert id="VR.ATO.IITR.610147" diagnostics="DVR.ATO.IITR.610147"
						test="not(
												$iitr463[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610148
         ELS Ref: V7

		     IF [iitr465] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr465] = bafpr2.xx.xx:Expense.Operating.RepairsAndMaintenance.Amount
    -->
    <assert id="VR.ATO.IITR.610148" diagnostics="DVR.ATO.IITR.610148"
						test="not(
												$iitr465[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610149
         ELS Ref: V7

		     IF [iitr467] <> MONETARY(S,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr467] = bafpr2.xx.xx:Expense.Operating.BusinessPrimaryProduction.Amount
    -->
    <assert id="VR.ATO.IITR.610149" diagnostics="DVR.ATO.IITR.610149"
						test="not(
												$iitr467[not(matches(.,'^(-)?[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610150
         ELS Ref: V7

		     IF [iitr469] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr469] = bafpr1.xx.xx:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
    -->
    <assert id="VR.ATO.IITR.610150" diagnostics="DVR.ATO.IITR.610150"
						test="not(
												$iitr469[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610151
         ELS Ref: V7

		     IF [iitr471] <> MONETARY(U,11,0)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr471] = bafpr1.xx.xx:Expense.LandcareOperationsAndWaterFacilityDeclineinValueDeduction.Amount
    -->
    <assert id="VR.ATO.IITR.610151" diagnostics="DVR.ATO.IITR.610151"
						test="not(
												$iitr471[not(matches(.,'^[0-9]{1,11}$'))]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610152
         ELS Ref: V7
		     
         IF [iitr473] <> MONETARY(S,11,0)
             RETURN VALIDATION MESSAGE
         ENDIF
 
		     [iitr473] = bafpr1.xx.xx:Expense.ReconciliationAdjustments.Amount
    -->
    <assert id="VR.ATO.IITR.610152" diagnostics="DVR.ATO.IITR.610152"
						test="not(
												$iitr473[not(matches(.,'^(-)?[0-9]{1,11}$'))]
										 )"/>

  </rule>

  <!-- LOOP THROUGH REPORTING PARTY OTHER SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPOTHSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.610057
         ELS Ref: V7

		     IF ANY OCCURRENCE OF([iitr372] <> MONETARY(U,11,0))
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr372] = rvctc2.xx.xx:IncomeTax.Deduction.FinancialInvestmentOther.Amount
    -->
    <assert id="VR.ATO.IITR.610057" diagnostics="DVR.ATO.IITR.610057"
						test="not(
												$iitr372[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610058
         ELS Ref: V7

		     IF ANY OCCURRENCE OF([iitr374] <> MONETARY(U,11,0))
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr374] = rvctc2.xx.xx:IncomeTax.Deduction.UncategorisedOther.Amount
    -->
    <assert id="VR.ATO.IITR.610058" diagnostics="DVR.ATO.IITR.610058"
						test="not(
												$iitr374[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610125
         ELS Ref: V7

		     IF ANY OCCURRENCE OF(LENGTH([iitr371]) > 36)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr371] = bafpr1.xx.xx:Expense.DeductibleOther.Text
    -->
    <assert id="VR.ATO.IITR.610125" diagnostics="DVR.ATO.IITR.610125"
						test="not(
												$iitr371[string-length(.) > 36 and @contextRef = $thisContextId]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610127
         ELS Ref: V7

		     IF ANY OCCURRENCE OF([iitr373] <> MONETARY(U,11,0))
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr373] = rvctc2.xx.xx:IncomeTax.Deduction.ForeignRentalIncomeOther.Amount
    -->
    <assert id="VR.ATO.IITR.610127" diagnostics="DVR.ATO.IITR.610127"
						test="not(
												$iitr373[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610128
         ELS Ref: V7

		     IF ANY OCCURRENCE OF([iitr375] <> MONETARY(U,11,0))
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr375] = bafpr1.xx.xx:Expense.DeductibleOther.Amount
    -->
    <assert id="VR.ATO.IITR.610128" diagnostics="DVR.ATO.IITR.610128"
						test="not(
												$iitr375[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]
										 )"/>

  </rule>

  <!-- LOOP THROUGH REPORTING PARTY SUPERANNUATION CONTRIBUTION SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPSCSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.IITR.610048
         ELS Ref: V7

		    IF ANY OCCURRENCE OF(LENGTH([iitr360]) > 76)
		         RETURN VALIDATION MESSAGE
		    ENDIF

		    [iitr360] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.IITR.610048" diagnostics="DVR.ATO.IITR.610048"
						test="not(
												$iitr360[string-length(.) > 76 and @contextRef = $thisContextId]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610050
         ELS Ref: V7

		     IF ANY OCCURRENCE OF([iitr362] <> MONETARY(U,11,0))
		         RETURN VALIDATION MESSAGE
		     ENDIF
 
		     [iitr362] = rvctc2.xx.xx:IncomeTax.Deduction.SuperannuationContribution.Amount
    -->
    <assert id="VR.ATO.IITR.610050" diagnostics="DVR.ATO.IITR.610050"
						test="not(
												$iitr362[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]
										 )"/>


    <!-- Rule ID: VR.ATO.IITR.610121
         ELS Ref: V7

		     IF ANY OCCURRENCE OF(LENGTH([iitr361]) > 22)
		         RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr361] = emsup.xx.xx:SuperannuationFundDetails.MemberAccount.Identifier
    -->
    <assert id="VR.ATO.IITR.610121" diagnostics="DVR.ATO.IITR.610121"
						test="not(
												$iitr361[string-length(.) > 22 and @contextRef = $thisContextId]
										 )"/>

  </rule>

</pattern>
