﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Income Tests Field Patterns Validations</title>

  <!-- LOOP THROUGH REPORTING PARTY OTHER SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPOTHSEQ.ContextId]">

    <let name="thisContextId" value="@id" />
    
    <!-- Rule ID: VR.ATO.IITR.610126
         ELS Ref: V9

		     IF ([iitr371] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr371] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
            RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr371] = bafpr1.xx.xx:Expense.DeductibleOther.Text
    -->
    <assert id="VR.ATO.IITR.610126" diagnostics="DVR.ATO.IITR.610126"
            test="not(
                        $iitr371
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                            and 
                            @contextRef = $thisContextId
                        ]
                     )"/>
    
  </rule>
  
    <!-- LOOP THROUGH REPORTING PARTY SUPERANNUATION CONTRIBUTION SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPSCSEQ.ContextId]">

    <let name="thisContextId" value="@id" />
    
    <!-- Rule ID: VR.ATO.IITR.610122
         ELS Ref: V9

		     IF ([iitr361] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr361] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
         ENDIF

		     [iitr361] = emsup.xx.xx:SuperannuationFundDetails.MemberAccount.Identifier
    -->
    <assert id="VR.ATO.IITR.610122" diagnostics="DVR.ATO.IITR.610122"
            test="not(
                        $iitr361
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                            and 
                            @contextRef = $thisContextId
                        ]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.610049
         ELS Ref: V9

		     IF ANY OCCURRENCE OF(([iitr360] <> NULLORBLANK) AND ([iitr360] CONTAINS SET("{","}","|","_","\","#")))
		       RETURN VALIDATION MESSAGE
		     ENDIF

		     [iitr360] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.IITR.610049" diagnostics="DVR.ATO.IITR.610049"
            test="not(
                        $iitr360
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                            and 
                            @contextRef = $thisContextId
                        ]
                     )"/>

  </rule>

</pattern>
