﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Validations</title>
  
  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    
    <!-- Rule ID: VR.ATO.IITR.000009
         ELS Tag: V17
         
         IF [iitr10] = NULL
              RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr10] = pyin.xx.xx:Report.TargetFinancial.Year
    -->
    <assert id="VR.ATO.IITR.000009" diagnostics="DVR.ATO.IITR.000009"
            test="not(
                        not($iitr10[not(@i:nil='true')])
                     )" />


    <!-- Rule ID: VR.ATO.IITR.000010
         ELS Tag: V17
         
         IF [iitr19] = NULL
              RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr19] = pyde.xx.xx:Residency.TaxPurposesPersonStatus.Indicator
    -->
    <assert id="VR.ATO.IITR.000010" diagnostics="DVR.ATO.IITR.000010"
            test="not(
                        not($iitr19[not(@i:nil='true')])
                     )" />


    <!-- Rule ID: VR.ATO.IITR.000025
         ELS Tag: V17
         
         IF [iitr22] = NULLORBLANK
              RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr22] = pyde.xx.00:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.IITR.000025" diagnostics="DVR.ATO.IITR.000025"
            test="not(
                        not($iitr22[not(@i:nil='true') and string-length(.) != 0])
                     )" />


    <!-- Rule ID: VR.ATO.IITR.000026
         ELS Tag: V17
         
         IF [iitr26] = NULL
              RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr26] = pyde.xx.xx:Party.ChangeName.Indicator
    -->
    <assert id="VR.ATO.IITR.000026" diagnostics="DVR.ATO.IITR.000026"
            test="not(
                        not($iitr26[not(@i:nil='true')])
                     )" />
    

    <!-- Rule ID: VR.ATO.IITR.000190
         ELS Tag: V17
         
         IF (pyin.xx.xx:Declaration.SignatoryIdentifier.Text = NULLORBLANK) 
              RETURN VALIDATION MESSAGE
         ENDIF
         
         [$iitr545RPTAC / $iitr545INTTAC] = pyin.xx.xx:Declaration.SignatoryIdentifier.Text
    -->
    <assert id="VR.ATO.IITR.000190" diagnostics="DVR.ATO.IITR.000190"
            test="not(
                        (
                            $IITR.INTTAC.Context
                            and 
                            not($iitr545INTTAC[not(@i:nil='true') and string-length(.) != 0])
                        )    
                  )" />
    
                            <!--(
                            not($IITR.INTTAC.Context) 
                            and 
                            not($iitr545RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or-->

    <!-- Rule ID: VR.ATO.GEN.500056
         ELS Ref: V17         
        
        IF ((CONTEXT(Intermediary.TrueAndCorrect) = NULL)  AND (RP.TrueAndCorrect:pyde.xx.xx:PersonUnstructuredName.FullName.Text = NULLORBLANK)) 
            OR 
           ((CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND (Intermediary.TrueAndCorrect:pyde.xx.xx:PersonUnstructuredName.FullName.Text = NULLORBLANK))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500056" diagnostics="DVR.ATO.GEN.500056"
            test="not(
                        (
                            not($IITR.INTTAC.Context) 
                            and
                            not($iitr538RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                            $IITR.INTTAC.Context 
                            and
                            not($iitr538INTTAC[not(@i:nil='true') and string-length(.) != 0])
                        ) 
                        
                     )" />
     
    
    <!-- Rule ID: VR.ATO.GEN.500060
         ELS Ref: V17         
        
        IF ((CONTEXT(Intermediary.TrueAndCorrect)=NULL) AND (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK)) 
           OR 
           ((CONTEXT(Intermediary.TrueAndCorrect)<>NULL) AND (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500060" diagnostics="DVR.ATO.GEN.500060"
            test="not(
                        (
                            not($IITR.INTTAC.Context)
                            and
                            not($iitr541RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                            $IITR.INTTAC.Context 
                            and
                            not($iitr541INTTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                     )" />      
     
    
    <!-- Rule ID: VR.ATO.GEN.500067
         ELS Ref: V17         
        
        IF ((CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND (RP.TrueAndCorrect:pyin.xx.xx:Declaration.Signature.Date = NULL)) 
           OR 
           ((CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND (Intermediary.TrueAndCorrect:pyin.xx.xx:Declaration.Signature.Date = NULL))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500067" diagnostics="DVR.ATO.GEN.500067"
            test="not(                        
                        (
                            not($IITR.INTTAC.Context)
                            and
                            not($iitr543RPTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                            $IITR.INTTAC.Context 
                            and
                            not($iitr543INTTAC[not(@i:nil='true') and string-length(.) != 0])
                        )
                  )" />


    <!-- Rule ID: VR.ATO.IITR.000027
         ELS Tag: V17
         
         IF [iitr29] = NULL
              RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr29] = pyde.xx.00:PersonDemographicDetails.Birth.Date
    -->
    <assert id="VR.ATO.IITR.000027" diagnostics="DVR.ATO.IITR.000027"
            test="not(
                        not($iitr29[not(@i:nil='true')])
                     )" />

    
    <!-- Rule ID: VR.ATO.IITR.000031
         ELS Tag: V17
         
         IF [iitr30] = NULLORBLANK
              RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr31] = Lodgment.FinalReturn.Indicator
    -->
    <assert id="VR.ATO.IITR.000031" diagnostics="DVR.ATO.IITR.000031"
            test="not(
                        not($iitr30[not(@i:nil='true')])
                     )" />

    
    <!-- Rule ID: VR.ATO.IITR.000162
         ELS Tag: V17
         
          IF [iitr41] = NULLORBLANK
            RETURN VALIDATION MESSAGE
          ENDIF
         
         [iitr41] = pyde.02.00:AddressDetails.Line1.Text
    -->
    <assert id="VR.ATO.IITR.000162" diagnostics="DVR.ATO.IITR.000162"
            test="not(
                        not($iitr41[not(@i:nil='true') and string-length(.) != 0])
                     )" />


    <!-- Rule ID: VR.ATO.IITR.000163
         ELS Tag: V17
         
          IF [iitr43] = NULLORBLANK
            RETURN VALIDATION MESSAGE
          ENDIF
         
         [iitr43] = pyde.02.00:AddressDetails.LocalityName.Text
    -->
    <assert id="VR.ATO.IITR.000163" diagnostics="DVR.ATO.IITR.000163"
            test="not(
                        not($iitr43[not(@i:nil='true') and string-length(.) != 0])
                     )" />

    
    <!-- Rule ID: VR.ATO.IITR.000198
         ELS Tag: V17
         
          IF [iitr35] = NULLORBLANK
            RETURN VALIDATION MESSAGE
          ENDIF
         
         [iitr35] = pyde.02.00:AddressDetails.LocalityName.Text
    -->
    <assert id="VR.ATO.IITR.000198" diagnostics="DVR.ATO.IITR.000198"
            test="not(
                        not($iitr35[not(@i:nil='true') and string-length(.) != 0])
                     )" />

    <!-- Rule ID: VR.ATO.IITR.000199
         ELS Tag: V17
         
          IF [iitr33] = NULLORBLANK
            RETURN VALIDATION MESSAGE
          ENDIF
         
         [iitr33] = pyde.02.00:AddressDetails.Line1.Text
    -->
    <assert id="VR.ATO.IITR.000199" diagnostics="DVR.ATO.IITR.000199"
            test="not(
                        not($iitr33[not(@i:nil='true') and string-length(.) != 0])
                     )" />
       
    
  </rule>

</pattern>
