﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Income Tests Field Patterns Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.IITR.400011
         ELS Ref: V138B

        IF ([iitr213] <> NULLORBLANK) AND ([iitr213] DOES NOT CONTAIN SET("A-Z","a-z"))
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr213] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.IITR.400011" diagnostics="DVR.ATO.IITR.400011"
            test="not(
                        $iitr213
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                        ]                            
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.400012
         ELS Ref: V138B

        IF ([iitr214] <> NULLORBLANK) AND ([iitr214] DOES NOT CONTAIN SET("A-Z","a-z"))
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr214] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.IITR.400012" diagnostics="DVR.ATO.IITR.400012"
            test="not(
                        $iitr214
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                        ]                            
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.400013
         ELS Ref: V138B

        IF ([iitr215] <> NULLORBLANK) AND ([iitr215] DOES NOT CONTAIN SET("A-Z","a-z"))
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr215] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.IITR.400013" diagnostics="DVR.ATO.IITR.400013"
            test="not(
                        $iitr215
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                        ]                            
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.400014
         ELS Ref: V138C

        IF ([iitr213] CONTAINS SET("-_-","'","  ") )
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr213] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.IITR.400014" diagnostics="DVR.ATO.IITR.400014"
            test="not(                         
                         $iitr213[matches(.,'^(.*)(--|('')('')|  )(.*)$')]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400015
         ELS Ref: V138C

        IF ([iitr214] CONTAINS SET("-_-","'","  ") )
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr214] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.IITR.400015" diagnostics="DVR.ATO.IITR.400015"
            test="not(                         
                         $iitr214[matches(.,'^(.*)(--|('')('')|  )(.*)$')]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400016
         ELS Ref: V138C

        IF ([iitr215] CONTAINS SET("-_-","'","  ") )
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr215] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.IITR.400016" diagnostics="DVR.ATO.IITR.400016"
            test="not(                         
                         $iitr215[matches(.,'^(.*)(--|('')('')|  )(.*)$')]
                     )"/>

    <!-- Rule ID: VR.ATO.IITR.400017
         ELS Ref: V139

        IF ([iitr213] CONTAINS " - ")
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr213] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.IITR.400017" diagnostics="DVR.ATO.IITR.400017"
            test="not(
                         $iitr213[matches(.,'^(.*) - (.*)$')]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400018
         ELS Ref: V139

        IF ([iitr214] CONTAINS " - ")
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr214] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.IITR.400018" diagnostics="DVR.ATO.IITR.400018"
            test="not(
                         $iitr214[matches(.,'^(.*) - (.*)$')]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400019
         ELS Ref: V139

        IF ([iitr215] CONTAINS " - ")
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr215] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.IITR.400019" diagnostics="DVR.ATO.IITR.400019"
            test="not(
                         $iitr215[matches(.,'^(.*) - (.*)$')]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.400020
         ELS Ref: V139

        IF ([iitr425] CONTAINS " - ")
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr425] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.IITR.400020" diagnostics="DVR.ATO.IITR.400020"
            test="not(
                         $iitr425[matches(.,'^(.*) - (.*)$')]
                     )"/>    


    <!-- Rule ID: VR.ATO.IITR.400029
         ELS Ref: V1217

        IF ([iitr214] <> NULLORBLANK) AND ([iitr214] DOES NOT STARTWITH SET("A-Z","a-z"))
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr214] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.IITR.400029" diagnostics="DVR.ATO.IITR.400029"
            test="not(     
                        $iitr214
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z](.*)$', 'i'))
                        ]    
                    )"/>


    <!-- Rule ID: VR.ATO.IITR.400047
         ELS Ref: V9

        IF ([iitr213] <> NULLORBLANK) AND ([iitr213] CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr213] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.IITR.400047" diagnostics="DVR.ATO.IITR.400047"
            test="not(     
                        $iitr213
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]    
                    )"/>


    <!-- Rule ID: VR.ATO.IITR.400048
         ELS Ref: V9

        IF ([iitr214] <> NULLORBLANK) AND ([iitr214] CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr214] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.IITR.400048" diagnostics="DVR.ATO.IITR.400048"
            test="not(
                        $iitr214
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]                            
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.400049
         ELS Ref: V9

        IF ([iitr215] <> NULLORBLANK) AND ([iitr215] CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF

        [iitr215] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.IITR.400049" diagnostics="DVR.ATO.IITR.400049"
            test="not(
                        $iitr215
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            matches(.,'[{}|_\\#]')
                        ]                            
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.410002
         ELS Ref: V210A
         
         IF [iitr430] CONTAINS NUMERICS SET(0-9)
             RETURN VALIDATION MESSAGE
         ENDIF

         [iitr430] = pyde.xx.xx:AddressDetails.LocalityName.Text
    -->
    <assert id="VR.ATO.IITR.410002" diagnostics="DVR.ATO.IITR.410002"
          test="not(
                      $iitr430[matches(.,'(.*)[0-9](.*)')]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.410017
         ELS Ref: V103
         
         IF ([iitr419] = 97000)
            RETURN VALIDATION MESSAGE
         ENDIF

         [iitr419] = pyde.xx.xx:OrganisationDetails.OrganisationIndustry2006Extended.Code
    -->
    <assert id="VR.ATO.IITR.410017" diagnostics="DVR.ATO.IITR.410017"
          test="not(
                      $iitr419[
                                . = '97000'
                              ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.410064
         ELS Ref: V35
         
         IF ([iitr421] <> NULLORBLANK) AND ([iitr421] <> SET(1-99))
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr421] = bafpr3.xx.xx:Income.PersonalServicesIncome.BusinessActivities.Count
      -->
    <assert id="VR.ATO.IITR.410064" diagnostics="DVR.ATO.IITR.410064"
            test="not(
                          $iitr421[not(@i:nil='true') and string-length(.) != 0]
                          and
                          $iitr421[. &lt; 1 or . > 99]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410065
         ELS Ref: V35
         
         IF ([iitr423] <> NULLORBLANK) AND ([iitr423] <> SET("Ceased business", "Commenced business"))
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr423] = pyde.xx.xx:OrganisationDetails.ActivityEvent.Code
      -->
    <assert id="VR.ATO.IITR.410065" diagnostics="DVR.ATO.IITR.410065"
            test="not(
                          $iitr423[not(@i:nil='true') and string-length(.) != 0]
                          and
                          $iitr423[not(. = 'CeasedBusiness' or . = 'CommencedBusiness')]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410066
         ELS Ref: V35
         
         IF ([iitr431] <> NULLORBLANK) AND ([iitr431] <> SET("NSW", "VIC", "ACT", "QLD", "TAS", "SA", "WA", "NT"))
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr431] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
      -->
    <assert id="VR.ATO.IITR.410066" diagnostics="DVR.ATO.IITR.410066"
            test="not(
                          $iitr431[not(@i:nil='true') and string-length(.) != 0]
                          and
                          $iitr431[not(matches(.,'^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(.*)$', 'i'))]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410067
         ELS Ref: V35

         IF ([iitr432] <> NULLORBLANK) AND ([iitr432] <> SET(0200-9999))
            RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr432] = pyde.xx.xx:AddressDetails.Postcode.Text (Business)
     -->
    <assert  id="VR.ATO.IITR.410067" diagnostics="DVR.ATO.IITR.410067"
             test="not(
                          $iitr432
                          [
                              not(@i:nil='true') and string-length(.) != 0
                              and
                              not(matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$'))
                          ]                                           
                    )"/>


    <!-- Rule ID: VR.ATO.IITR.410075
         ELS Ref: V35
         
         IF ([iitr530] <> NULL) AND ([iitr530] <> SET(1-999))
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [iitr530] = pyin.xx.xx:Report.CompletionHours.Number
      -->
    <assert id="VR.ATO.IITR.410075" diagnostics="DVR.ATO.IITR.410075"
            test="not(
                          $iitr530[not(@i:nil='true')]
                          and
                          $iitr530[. &lt; 1 or . > 999]
                       )"/>


    <!-- Rule ID: VR.ATO.IITR.410153
         ELS Ref: V9

         IF ([iitr428] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr428] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr428] = pyde.02.00:AddressDetails.Line1.Text (Business)
    -->
    <assert id="VR.ATO.IITR.410153" diagnostics="DVR.ATO.IITR.410153"
            test="not(
                        $iitr428
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.410154
    
        IF ([iitr428] CONTAINS "UNKNOWN")
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr428] = pyde.xx.xx:AddressDetails.Line1.Text
    -->
    <assert id="VR.ATO.IITR.410154" diagnostics="DVR.ATO.IITR.410154"
            test="not(
                        $iitr428[
                          matches(.,'^(.*)UNKNOWN(.*)$','i')
                        ]
                      )" />
    
    
    <!-- Rule ID: VR.ATO.IITR.410155
    
        IF ([iitr429] CONTAINS "UNKNOWN")
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr429] = pyde.xx.xx:AddressDetails.Line2.Text (Business)
    -->
    <assert id="VR.ATO.IITR.410155" diagnostics="DVR.ATO.IITR.410155"
            test="not(
                        $iitr429[
                          matches(.,'^(.*)UNKNOWN(.*)$','i')
                        ]
                      )" />
    
    
    <!-- Rule ID: VR.ATO.IITR.410156
         ELS Ref: V210M
    
         IF ([iitr430] CONTAINS "UNKNOWN")
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr430] = pyde.02.00:AddressDetails.LocalityName.Text (Business)
    -->
    <assert id="VR.ATO.IITR.410156" diagnostics="DVR.ATO.IITR.410156"
            test="not(
                        $iitr430[
                          matches(.,'^(.*)UNKNOWN(.*)$','i')
                        ]
                      )" />

    
    <!-- Rule ID: VR.ATO.IITR.410157
         ELS Ref: V9
         
         IF ([iitr425] <> NULLORBLANK) AND ([iitr425] CONTAINS SET("{","}","|","_","\","#"))
            RETURN VALIDATION MESSAGE
         ENDIF   
         
         [iitr425] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.IITR.410157" diagnostics="DVR.ATO.IITR.410157"
            test="not(
                        $iitr425[matches(.,'[{}|_\\#]')]
                    )"/>    
    

    <!-- Rule ID: VR.ATO.IITR.410158
         ELS Ref: V9

         IF ([iitr429] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr429] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
             RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr429] = pyde.02.00:AddressDetails.Line2.Text (Business)
    -->
    <assert id="VR.ATO.IITR.410158" diagnostics="DVR.ATO.IITR.410158"
            test="not(
                        $iitr429
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>
    

    <!-- Rule ID: VR.ATO.IITR.410159
         ELS Ref: V9

         IF ([iitr430] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr430] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
            RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr430] = pyde.02.00:AddressDetails.LocalityName.Text (Business)
    -->
    <assert id="VR.ATO.IITR.410159" diagnostics="DVR.ATO.IITR.410159"
            test="not(
                        $iitr430
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.410192
         ELS Ref: V9

         IF ([iitr418] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr418] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
            RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr418] = pyde.xx.xx:OrganisationDetails.MainIncomeActivity.Description
    -->
    <assert id="VR.ATO.IITR.410192" diagnostics="DVR.ATO.IITR.410192"
            test="not(
                        $iitr418
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>
    

    <!-- Rule ID: VR.ATO.IITR.410203
         ELS Ref: V9

         IF ([iitr489] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr489] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr489] = rvctc3.xx.xx:Tax.ProductRulingNumber.Identifier
    -->
    <assert id="VR.ATO.IITR.410203" diagnostics="DVR.ATO.IITR.410203"
            test="not(
                        $iitr489
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>
    

    <!-- Rule ID: VR.ATO.IITR.410205
         ELS Ref: V9

         IF ([iitr485] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr485] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr485] = rvctc3.xx.xx:Tax.PrivateRulingNumber.Identifier
    -->
    <assert id="VR.ATO.IITR.410205" diagnostics="DVR.ATO.IITR.410205"
            test="not(
                        $iitr485
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>
  </rule>
  
  <!-- LOOP THROUGH REPORTING PARTY LOSS SEQUENCE CONTEXTS -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $IITR.RPLOSSSEQ.ContextId]">

    <let name="thisContextId" value="@id" />


    <!-- Rule ID: VR.ATO.IITR.410199
         ELS Ref: V9

         IF ([iitr479] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr479] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [iitr479] = pyde.xx.xx:OrganisationDetails.MainIncomeActivity.Description
    -->
    <assert id="VR.ATO.IITR.410199" diagnostics="DVR.ATO.IITR.410199"
            test="not(
                        $iitr479
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                            and 
                            @contextRef = $thisContextId
                        ]
                     )"/>

  </rule>

</pattern>
