﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    
    <!-- Rule ID: VR.ATO.IITR.000510
        ELS Ref: V7
         
        IF [iitr166] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr166] = gfati.xx.xx:gfati.02.00:TaxOffsetClaim.SuperannuationIncomeStream.Amount
    -->
    <assert id="VR.ATO.IITR.000510" diagnostics="DVR.ATO.IITR.000510"
            test="not(
                        $iitr166[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000511
        ELS Ref: V7
         
        IF [iitr168] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr168] = gfati.xx.xx:TaxOffsetClaim.Total.Amount
    -->
    <assert id="VR.ATO.IITR.000511" diagnostics="DVR.ATO.IITR.000511"
            test="not(
                        $iitr168[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000512
        ELS Ref: V7
         
        IF LENGTH([iitr171]) > 2
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr171] = rvctc2.xx.xx:IncomeTax.MedicareLevy.DependentChildrenAndStudents.Count
    -->
    <assert id="VR.ATO.IITR.000512" diagnostics="DVR.ATO.IITR.000512"
            test="not(
                        $iitr171[string-length(.) > 2]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000513
        ELS Ref: V7
         
        IF LENGTH([IITR172]) > 3
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr172] = rvctc2.xx.xx:IncomeTax.MedicareLevy.ExemptionFullDays.Count
    -->
    <assert id="VR.ATO.IITR.000513" diagnostics="DVR.ATO.IITR.000513"
            test="not(
                        $iitr172[string-length(.) > 3]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000514
        ELS Ref: V7
         
        IF LENGTH([iitr174]) > 3
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr174] = rvctc2.xx.xx:IncomeTax.MedicareLevy.ExemptionHalfDays.Count
    -->
    <assert id="VR.ATO.IITR.000514" diagnostics="DVR.ATO.IITR.000514"
            test="not(
                        $iitr174[string-length(.) > 3]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000516
        ELS Ref: V7
         
        IF LENGTH([iitr177]) > 3
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr177] = rvctc2.xx.xx:IncomeTax.MedicareLevy.SurchargeExemptionDays.Count
    -->
    <assert id="VR.ATO.IITR.000516" diagnostics="DVR.ATO.IITR.000516"
            test="not(
                        $iitr177[string-length(.) > 3]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.IITR.000618
        ELS Ref: V7
         
        IF LENGTH([iitr181]) > 15
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr181] = pyid.xx.xx:Identifiers.HealthInsuranceMembership.Identifier
    -->
    <assert id="VR.ATO.IITR.000618" diagnostics="DVR.ATO.IITR.000618"
            test="not(
                        $iitr181[string-length(.) > 15]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000619
        ELS Ref: V7
         
        IF [iitr182] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr182] = rvctc2.xx.xx:IncomeTax.HealthInsurance.RebatableComponent.Amount
    -->
    <assert id="VR.ATO.IITR.000619" diagnostics="DVR.ATO.IITR.000619"
            test="not(
                        $iitr182[not(matches(.,'^[0-9]{1,11}$'))]
                        
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000620
        ELS Ref: V7
         
        IF [iitr183] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr183] = rvctc2.xx.xx:IncomeTax.HealthInsurance.GovernmentRebateReceived.Amount
    -->
    <assert id="VR.ATO.IITR.000620" diagnostics="DVR.ATO.IITR.000620"
            test="not(
                        $iitr183[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>

    
    <!-- Rule ID: VR.ATO.IITR.000621
        ELS Ref: V7
         
        IF [iitr378] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr378] = emsup.xx.xx:SuperannuationContribution.SpouseContributions.Amount
    -->
    <assert id="VR.ATO.IITR.000621" diagnostics="DVR.ATO.IITR.000621"
            test="not(
                        $iitr378[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000622
        ELS Ref: V7
         
        IF [iitr379] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr379] = gfati.xx.xx:TaxOffsetClaim.SuperannuationContributionSpouse.Amount
    -->
    <assert id="VR.ATO.IITR.000622" diagnostics="DVR.ATO.IITR.000622"
            test="not(
                        $iitr379[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>

    <!-- Rule ID: VR.ATO.IITR.000623
        ELS Ref: V7
         
        IF [iitr381] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr381] = gfati.xx.xx:TaxOffsetClaim.ZoneOrOverseasForces.Amount
    -->
    <assert id="VR.ATO.IITR.000623" diagnostics="DVR.ATO.IITR.000623"
            test="not(
                        $iitr381[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>
    
  
  <!-- Rule ID: VR.ATO.IITR.000624
        ELS Ref: V7
         
        IF [iitr383] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr383] = gfati.xx.xx:TaxOffsetClaim.MedicalExpensesNet.Amount
    -->
    <assert id="VR.ATO.IITR.000624" diagnostics="DVR.ATO.IITR.000624"
            test="not(
                        $iitr383[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>


    <!-- Rule ID: VR.ATO.IITR.000625
        ELS Ref: V7
         
        IF [iitr386] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr386] = gfati.xx.xx:TaxOffsetClaim.DependentInvalidAndCarer.Amount
    -->
    <assert id="VR.ATO.IITR.000625" diagnostics="DVR.ATO.IITR.000625"
            test="not(
                        $iitr386[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>
    
  
    <!-- Rule ID: VR.ATO.IITR.000626
        ELS Ref: V7
         
        IF [iitr388] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr388] = gfati.xx.xx:TaxOffsetClaim.LandcareAndWaterFacilityBroughtForward.Amount
    -->
    <assert id="VR.ATO.IITR.000626" diagnostics="DVR.ATO.IITR.000626"
            test="not(
                        $iitr388[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>
  
     <!-- Rule ID: VR.ATO.IITR.000628
        ELS Ref: V7
         
        IF [iitr392] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr392] = gfati.xx.xx:TaxOffsetClaim.NonRefundableOther.Amount
    -->
    <assert id="VR.ATO.IITR.000628" diagnostics="DVR.ATO.IITR.000628"
            test="not(
                        $iitr392[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>
  
  
    <!-- Rule ID: VR.ATO.IITR.000629
        ELS Ref: V7
         
        IF [iitr395] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [iitr395] = rvctc1.xx.xx:IncomeTax.TaxOffsetRefundableOther.Amount
    -->
    <assert id="VR.ATO.IITR.000629" diagnostics="DVR.ATO.IITR.000629"
            test="not(
                        $iitr395[not(matches(.,'^[0-9]{1,11}$'))]
                     )"/>
  </rule>

</pattern>
