﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:function="http://ato.gov.au/SWSFunctions">
  <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.IITR.000630
         ELS Ref: V9
         
        IF ([iitr181] <> NULLORBLANK) AND (ANY CHARACTER OF [iitr181] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
        ENDIF  
  
        [iitr181] = pyid.xx.xx:Identifiers.HealthInsuranceMembership.Identifier
    -->
    <assert id="VR.ATO.IITR.000630" diagnostics="DVR.ATO.IITR.000630"
            test="not(
                        $iitr181
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>

    <!-- Rule ID: VR.ATO.IITR.000631
      ELS Ref: V35
    
      IF ([iitr379] <> NULL) AND ([iitr379]  <> SET(1-540))
         RETURN VALIDATION MESSAGE
      ENDIF
      
      [iitr379] = gfati.xx.xx:TaxOffsetClaim.SuperannuationContributionSpouse.Amount
    -->
    <assert  id="VR.ATO.IITR.000631" diagnostics="DVR.ATO.IITR.000631"
             test="not(
                          $iitr379
                          [
                            not(@i:nil='true') and
                            (
                              . > 540
                              or
                              . &lt; 1
                            )
                          ]
                      )"/>


    <!-- Rule ID: VR.ATO.IITR.000632
      ELS Ref: V35
    
      IF ([iitr388] <> NULLORBLANK) AND ([iitr388]  <> SET(1-13100))
         RETURN VALIDATION MESSAGE
      ENDIF
      IF ([iitr388] <> NULL) AND ([iitr388]  <> SET(1-13100))
   RETURN VALIDATION MESSAGE
ENDIF
      
      [iitr388] = gfati.xx.xx:TaxOffsetClaim.LandcareAndWaterFacilityBroughtForward.Amount
    -->
    <assert  id="VR.ATO.IITR.000632" diagnostics="DVR.ATO.IITR.000632"
             test="not(
                          $iitr388
                          [
                            not(@i:nil='true') and
                            (
                              . > 13100
                              or
                              . &lt; 1
                            )
                          ]
                      )"/>

  </rule>

</pattern>
