﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Rule validations for contexts that are applicable accross all of the PSS services.</title>

  <rule  context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]">
    <!--
	        Rule ID: VR.ATO.PSS.000016

	        IF (RP.Payer.{PSSeqNum}:entity.identifier.scheme <> “http://www.ato.gov.au/tfn”)
              RETURN VALIDATION MESSAGE
            ENDIF
    -->

    <assert  id="VR.ATO.PSS.000016" diagnostics="DVR.ATO.PSS.000016"
             test="not(
                       @id=$RP.Payer.ContextId
                       and xbrli:entity/xbrli:identifier/@scheme != 'http://www.ato.gov.au/tfn')">
    </assert>

    <!--
	        Rule ID: VR.ATO.PSS.000034

	        IF (TFNALGORITHM (RP.Payer.{PSSeqNum}:entity.identifier.TFN) = FALSE)
               RETURN VALIDATION MESSAGE
            ENDIF
    -->

    <assert  id="VR.ATO.PSS.000034" diagnostics="DVR.ATO.PSS.000034"
             test="not(
                        not(function:ValidateTFN(xbrli:entity/xbrli:identifier))
                       )">
    </assert>

    


  </rule>

  
  <rule  context="xbrli:xbrl">

    <!-- 
        Rule ID: VR.ATO.PSS.000042
    
        IF COUNT(RP.Payer.{PSSeqNum}) = 0
        RETURN VALIDATION MESSAGE
        ENDIF
    -->
    
    <assert  id="VR.ATO.PSS.000042" diagnostics="DVR.ATO.PSS.000042"
             test="not(
                        not($RP.Payer)
                       )">
    </assert>

    <!-- 
        Rule ID: VR.ATO.PSS.000043
    
        IF COUNT(RP.Payer.{PSSeqNum}) > 99
            RETURN VALIDATION MESSAGE
        ENDIF
    -->

    <assert  id="VR.ATO.PSS.000043" diagnostics="DVR.ATO.PSS.000043"
             test="not(
                      count($RP.Payer) > 99
                       )">
    </assert>


    <!--
	        Rule ID: VR.ATO.PSS.000020

	        IF (RP.Payer.{PSSeqNum}:SequenceNumberContainer = ANY OTHER OCCURRENCE OF RP.Payer.{PSSeqNum}:SequenceNumberContainer)
              RETURN VALIDATION MESSAGE
            ENDIF
    -->

    <assert  id="VR.ATO.PSS.000020" diagnostics="DVR.ATO.PSS.000020"
             test="not(
                      xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity/xbrli:segment/xbrldi:typedMember/SqNumDim.02.01:SequenceNumberContainer[not(@i:nil='true' or @i:nil='1')]
                      and                  
                         count(distinct-values(xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity/xbrli:segment/xbrldi:typedMember/SqNumDim.02.01:SequenceNumberContainer)) 
                      != count(xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity/xbrli:segment/xbrldi:typedMember/SqNumDim.02.01:SequenceNumberContainer)
                      )">
    </assert>

   
  </rule>

</pattern>