﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Field Length Validations</title>

  <rule context="xbrli:xbrl/xbrli:context[@id = $RPPSSSEQ.ContextId]">

    <let name="thisContextId" value="@id" />

    <!-- Rule ID: VR.ATO.PSS.000001
         ELS Ref: V7

		    IF LENGTH([pss26]) > 38
		      RETURN VALIDATION MESSAGE
		    ENDIF

		    [pss26] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.PSS.000001" diagnostics="DVR.ATO.PSS.000001"
            test="not(
                        $pss26
                        [
                            string-length(.) > 38
                            and
                            @contextRef = $thisContextId
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.PSS.000002
         ELS Ref: V7

		    IF LENGTH([pss29]) > 38
		      RETURN VALIDATION MESSAGE
		    ENDIF

		    [pss29] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.PSS.000002" diagnostics="DVR.ATO.PSS.000002"
            test="not(
                        $pss29
                        [
                            string-length(.) > 38
                            and
                            @contextRef = $thisContextId
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.PSS.000003
         ELS Ref: V7

		    IF LENGTH([pss27]) > 38
		    RETURN VALIDATION MESSAGE
		    ENDIF

		    [pss27] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.PSS.000003" diagnostics="DVR.ATO.PSS.000003"
            test="not(
                        $pss27
                        [
                            string-length(.) > 38
                            and
                            @contextRef = $thisContextId
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.PSS.000004
         ELS Ref: V7

		    IF LENGTH([pss28]) > 38
		    RETURN VALIDATION MESSAGE
		    ENDIF

		    [pss28] = pyde.xx.xx:PersonNameDetails.OtherGivenName.Text
    -->
    <assert id="VR.ATO.PSS.000004" diagnostics="DVR.ATO.PSS.000004"
            test="not(
                        $pss28
                        [
                            string-length(.) > 38
                            and
                            @contextRef = $thisContextId
                        ]
                     )"/>

    <!-- Rule ID: VR.ATO.PSS.000005
         ELS Ref: V7
         
        IF [pss18] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [pss18] = lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount
    -->

    <assert id="VR.ATO.PSS.000005" diagnostics="DVR.ATO.PSS.000005"
            test="not(
                        $pss18[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]
                     )"/>


    <!-- Rule ID: VR.ATO.PSS.000006
         ELS Ref: V7
         
        IF [pss19] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [pss19] = lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount
    -->

    <assert id="VR.ATO.PSS.000006" diagnostics="DVR.ATO.PSS.000006"
            test="not(
                        $pss19[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]
                     )"/>


    <!-- Rule ID: VR.ATO.PSS.000007
         ELS Ref: V7
         
        IF [pss20] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [pss20] = lrla.xx.xx:Remuneration.VoluntaryAgreementGross.Amount
    -->

    <assert id="VR.ATO.PSS.000007" diagnostics="DVR.ATO.PSS.000007"
            test="not(
                        $pss20[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]
                     )"/>


    <!-- Rule ID: VR.ATO.PSS.000008
         ELS Ref: V7
         
        IF [pss21] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [pss21] = lrla.xx.xx:Remuneration.LabourHireArrangementPaymentGross.Amount
    -->

    <assert id="VR.ATO.PSS.000008" diagnostics="DVR.ATO.PSS.000008"
            test="not(
                        $pss21[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]
                     )"/>


    <!-- Rule ID: VR.ATO.PSS.000009
         ELS Ref: V7
         
        IF [pss22] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [pss22] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount
    -->

    <assert id="VR.ATO.PSS.000009" diagnostics="DVR.ATO.PSS.000009"
            test="not(
                        $pss22[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]
                     )"/>


    <!-- Rule ID: VR.ATO.PSS.000010
         ELS Ref: V7
         
        IF [pss23] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [pss23] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount
    -->

    <assert id="VR.ATO.PSS.000010" diagnostics="DVR.ATO.PSS.000010"
            test="not(
                        $pss23[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]
                     )"/>


    <!-- Rule ID: VR.ATO.PSS.000011
         ELS Ref: V7
         
        IF [pss24] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [pss24] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount
    -->

    <assert id="VR.ATO.PSS.000011" diagnostics="DVR.ATO.PSS.000011"
            test="not(
                        $pss24[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]
                     )"/>


    <!-- Rule ID: VR.ATO.PSS.000012
         ELS Ref: V7
         
        IF [pss25] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [pss25] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
    -->

    <assert id="VR.ATO.PSS.000012" diagnostics="DVR.ATO.PSS.000012"
            test="not(
                        $pss25[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]
                     )"/>


    <!-- Rule ID: VR.ATO.PSS.000014
         ELS Ref: V7
         
        IF [pss31] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [pss31] = lrla.xx.xx:Remuneration.PersonalServicesIncome.AttributedGross.Amount
    -->

    <assert id="VR.ATO.PSS.000014" diagnostics="DVR.ATO.PSS.000014"
            test="not(
                        $pss31[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]
                     )"/>


    <!-- Rule ID: VR.ATO.PSS.000015
         ELS Ref: V7
         
        IF [pss32] <> MONETARY(U,11,0)
             RETURN VALIDATION MESSAGE
        ENDIF
        
        [pss32] = rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount
    -->

    <assert id="VR.ATO.PSS.000015" diagnostics="DVR.ATO.PSS.000015"
            test="not(
                        $pss32[not(matches(.,'^[0-9]{1,11}$')) and @contextRef = $thisContextId]
                     )"/>

  </rule>

</pattern>