﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Lengths" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Length and Monetary Format Validations for PSS</title>

  <rule context="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

    <let name="thisPayerID" value="@id"/>
    
    <let name="PSS16" value="../pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1')]" />
    <let name="PSS17" value="../pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1')]" />
    <let name="PSS18" value="../lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]" />
    <let name="PSS19" value="../lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]" />
    <let name="PSS20" value="../lrla.02.00:Remuneration.VoluntaryAgreementGross.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]" />
    <let name="PSS21" value="../lrla.02.00:Remuneration.LabourHireArrangementPaymentGross.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1')]" />
    <let name="PSS22" value="../rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]" />
    <let name="PSS23" value="../rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]" />
    <let name="PSS24" value="../rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]" />
    <let name="PSS25" value="../rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]" />
    <let name="PSS26" value="../pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]" />
    <let name="PSS27" value="../pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]" />
    <let name="PSS28" value="../pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]" />
    <let name="PSS29" value="../pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]" />
    <let name="PSS31" value="../lrla.02.17:Remuneration.PersonalServicesIncome.AttributedGross.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]" />
    <let name="PSS32" value="../rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount[@contextRef = $thisPayerID and not(@i:nil='true' or @i:nil='1' )]" />
        
    <!--
	        Rule ID: VR.ATO.PSS.000026

	        IF ([PSS17] <> NULLORBLANK AND WPNALGORITHM([PSS17]) = FALSE)
               RETURN VALIDATION MESSAGE
            ENDIF

            [PSS17] = PSS:RP.Payer.{PSSeqNum}:pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier

    -->

    <assert  id="VR.ATO.PSS.000026" diagnostics="DVR.ATO.PSS.000026"
             test="not(
                         $thisPayerID = $RP.Payer.ContextId
                         and ($PSS17 and string-length(normalize-space($PSS17)) != 0) 
                         and not(function:ValidateTFN($PSS17))
                      )">
    </assert>
    
    
    <!--
	        Rule ID: VR.ATO.GEN.434223

	        IF (pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifer <> NULLORBLANK) AND 
              (ABNALGORITHM(pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifer) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
    -->

    <assert  id="VR.ATO.GEN.434223" diagnostics="DVR.ATO.GEN.434223"
             test="not( 
                        $thisPayerID = $RP.Payer.ContextId
                        and
                        count($PSS16[string-length(normalize-space($PSS16)) != 0]) &gt; 0
                        and not ($PSS16[string-length(normalize-space($PSS16)) != 0 and function:ValidateABN($PSS16)])
                      )">
    </assert>

    <!--<assert  id="VR.ATO.GEN.434223" diagnostics="DVR.ATO.GEN.434223"
            test="not( 
                      count(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                      and not(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and function:ValidateABN(.)])
                      )">
    </assert>-->
    
    <!--
	        Rule ID: VR.ATO.PSS.000033

	        IF LENGTH([PSS33]) > 200
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [PSS26] pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
    -->

    <assert  id="VR.ATO.PSS.000033" diagnostics="DVR.ATO.PSS.000033"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and string-length(normalize-space($PSS26)) &gt; 200                    
                      )">
    </assert>


    <!--
	        Rule ID: VR.ATO.PSS.000017

	        IF ([PSS26] <> NULLORBLANK) AND (ANY CHARACTER OF [pss26] = SET(""\"", ""{"", ""}"", ""_"", ""#""))
               RETURN VALIDATION MESSAGE                                
            ENDIF

            [[PSS26] = PSS:RP.Payer.{PSSeqNum}:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                                               
    -->

    <assert  id="VR.ATO.PSS.000017" diagnostics="DVR.ATO.PSS.000017"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and 
                        ($PSS26 and string-length(normalize-space($PSS26)) != 0) and
                        matches($PSS26,'^(.*)(\\|\{|\}|_|#)(.*)$')               
                      )">
    </assert>

    <!--
	        Rule ID: VR.ATO.PSS.000002

	        IF LENGTH([PSS29]) > 38
              RETURN VALIDATION MESSAGE
            ENDIF

            [PSS29] = PSS:RP.Payer.{PSSeqNum}:pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId]
    -->

    <assert  id="VR.ATO.PSS.000002" diagnostics="DVR.ATO.PSS.000002"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and string-length(normalize-space($PSS29)) &gt; 38
                      )">
    </assert>

    <!--
	        Rule ID: VR.ATO.PSS.000003

	        IF LENGTH([PSS27]) > 38
              RETURN VALIDATION MESSAGE
            ENDIF

            [PSS27] = PSS:RP.Payer.{PSSeqNum}:pyde.02.00:PersonNameDetails.GivenName.Text
    -->

    <assert  id="VR.ATO.PSS.000003" diagnostics="DVR.ATO.PSS.000003"
             test="not(
                          $thisPayerID = $RP.Payer.ContextId
                          and string-length(normalize-space($PSS27)) &gt; 38
                      )">
    </assert>

    <!--
	        Rule ID: VR.ATO.PSS.000004

	        IF LENGTH([PSS28]) > 38
              RETURN VALIDATION MESSAGE
            ENDIF

            [PSS28] = PSS:RP.Payer.{PSSeqNum}:pyde.02.00:PersonNameDetails.OtherGivenName.Text
    -->

    <assert  id="VR.ATO.PSS.000004" diagnostics="DVR.ATO.PSS.000004"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and string-length(normalize-space($PSS28)) &gt; 38
                      )">
    </assert>

    <!--
	        Rule ID: VR.ATO.PSS.000005

	        IF [PSS18] <> MONETARY(U,11,0)
                 RETURN VALIDATION MESSAGE
            ENDIF

            [PSS18] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
    -->

    <assert  id="VR.ATO.PSS.000005" diagnostics="DVR.ATO.PSS.000005"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and $PSS18
                        and not(matches($PSS18,'^[0-9]{1,11}$'))
                      )">
    </assert>


    <!--
	        Rule ID: VR.ATO.PSS.000006

	        IF [PSS19] <> MONETARY(U,11,0)
              RETURN VALIDATION MESSAGE
            ENDIF

            [PSS19] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount

    -->

    <assert  id="VR.ATO.PSS.000006" diagnostics="DVR.ATO.PSS.000006"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and $PSS19
                        and not(matches($PSS19,'^[0-9]{1,11}$'))
                      )">

    </assert>


    <!--
	        Rule ID: VR.ATO.PSS.000009
          
            IF [PSS22] <> MONETARY(S,13,2)
                 RETURN VALIDATION MESSAGE
            ENDIF

            [PSS22] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount          

        -->

    <assert  id="VR.ATO.PSS.000009" diagnostics="DVR.ATO.PSS.000009"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and $PSS22
                        and not(matches($PSS22,'^[-+]?[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )">
    </assert>


    <!--
	        Rule ID: VR.ATO.PSS.000010
          
            IF [PSS23] <> MONETARY(S,13,2)
                 RETURN VALIDATION MESSAGE
            ENDIF

            [PSS23] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount

        -->

    <assert  id="VR.ATO.PSS.000010" diagnostics="DVR.ATO.PSS.000010"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and $PSS23
                        and not(matches($PSS23,'^[-+]?[0-9]{1,11}(\.[0-9]{0,2})?$'))
                      )">
    </assert>


    <!--
	        Rule ID: VR.ATO.PSS.000011

	        IF [PSS24] <> MONETARY(U,11,0)
                 RETURN VALIDATION MESSAGE
            ENDIF

            [PSS24] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount

    -->

    <assert  id="VR.ATO.PSS.000011" diagnostics="DVR.ATO.PSS.000011"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and $PSS24
                        and not(matches($PSS24,'^[0-9]{1,11}$'))
                      )">

    </assert>


    <!--
	        Rule ID: VR.ATO.PSS.000012

	        IF [PSS25] <> MONETARY(U,11,0)
                 RETURN VALIDATION MESSAGE
            ENDIF

            [PSS25] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
    -->

    <assert  id="VR.ATO.PSS.000012" diagnostics="DVR.ATO.PSS.000012"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and $PSS25
                        and not(matches($PSS25,'^[0-9]{1,11}$'))
                      )">

    </assert>


    <!--
	        Rule ID: VR.ATO.PSS.000015

	        IF [PSS32] <> MONETARY(U,11,0)
                 RETURN VALIDATION MESSAGE
            ENDIF

            [PSS32] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount
    -->

    <assert  id="VR.ATO.PSS.000015" diagnostics="DVR.ATO.PSS.000015"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and $PSS32
                        and not(matches($PSS32, '^[0-9]{1,11}$'))
                      )">
    </assert>


    <!--
	        Rule ID: VR.ATO.PSS.000007

	        IF [PSS20] <> MONETARY(U,11,0)
                 RETURN VALIDATION MESSAGE
            ENDIF

            [PSS20] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.VoluntaryAgreementGross.Amount
    -->

    <assert  id="VR.ATO.PSS.000007" diagnostics="DVR.ATO.PSS.000007"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and $PSS20
                        and not(matches($PSS20,'^[0-9]{1,11}$'))
                      )">
    </assert>

    <!--
	        Rule ID: VR.ATO.PSS.000008

	        IF [PSS21] <> MONETARY(U,11,0)
                 RETURN VALIDATION MESSAGE
            ENDIF

            [PSS21] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.LabourHireArrangementPaymentGross.Amount

    -->

    <assert  id="VR.ATO.PSS.000008" diagnostics="DVR.ATO.PSS.000008"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and $PSS21
                        and not(matches($PSS21,'^[0-9]{1,11}$'))
                      )">
    </assert>

    <!--
	        Rule ID: VR.ATO.PSS.000014

	        IF [PSS31] <> MONETARY(U,11,0)
                  RETURN VALIDATION MESSAGE
            ENDIF

            [PSS31] = PSS:RP.Payer.{PSSeqNum}:lrla.02.17:Remuneration.PersonalServicesIncome.AttributedGross.Amount

    -->

    <assert  id="VR.ATO.PSS.000014" diagnostics="DVR.ATO.PSS.000014"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and $PSS31
                        and not(matches($PSS31,'^[0-9]{1,11}$'))
                      )">
    </assert>

    <!--
	        Rule ID: VR.ATO.PSS.000019

	        IF ([PSS27] <> NULLORBLANK) AND (ANY CHARACTER OF [PSS27] = SET(""\"", ""{"", ""}"", ""_"", ""#""))
               RETURN VALIDATION MESSAGE
            ENDIF

            [PSS27] = PSS:RP.Payer.{PSSeqNum}:pyde.02.00:PersonNameDetails.GivenName.Text

    -->

    <assert  id="VR.ATO.PSS.000019" diagnostics="DVR.ATO.PSS.000019"
                 test="not(
                            $thisPayerID = $RP.Payer.ContextId
                            and
                            ($PSS27 and string-length(normalize-space($PSS27)) != 0) 
                            and 
                            matches($PSS27, '^(.*)(\\|\{|\}|_|#)(.*)$')               
                          )">
    </assert>

    <!--
	        Rule ID: VR.ATO.PSS.000018

	        IF ([PSS29] <> NULLORBLANK) AND (ANY CHARACTER OF [PSS29] = SET(""\"", ""{"", ""}"", ""_"", ""#""))
              RETURN VALIDATION MESSAGE
            ENDIF

            [PSS29] = PSS:RP.Payer.{PSSeqNum}:pyde.02.00:PersonNameDetails.FamilyName.Text

    -->

    <assert  id="VR.ATO.PSS.000018" diagnostics="DVR.ATO.PSS.000018"
                 test="not(
                            $thisPayerID = $RP.Payer.ContextId
                            and
                            ($PSS29 and string-length(normalize-space($PSS29)) != 0) 
                            and
                            matches($PSS29, '^(.*)(\\|\{|\}|_|#)(.*)$')               
                          )">
    </assert>

    <!--
	        Rule ID: VR.ATO.PSS.000022

            IF ([PSS28] <> NULLORBLANK) AND (ANY CHARACTER OF [PSS28] = SET(""\"", ""{"", ""}"", ""_"", ""#""))
               RETURN VALIDATION MESSAGE
            ENDIF

            [PSS28] = PSS:RP.Payer.{PSSeqNum}:pyde.02.00:PersonNameDetails.OtherGivenName.Text

    -->

    <assert  id="VR.ATO.PSS.000022" diagnostics="DVR.ATO.PSS.000022"
                 test="not(
                            $thisPayerID = $RP.Payer.ContextId
                            and
                            ($PSS28 and string-length(normalize-space($PSS28)) != 0) 
                            and
                            matches($PSS28, '^(.*)(\\|\{|\}|_|#)(.*)$')               
                          )">
    </assert>

    <!--
            Rule: VR.ATO.PSS.000030
        
            IF ([PSS16] <> NULLORBLANK AND [PSS17] <> NULLORBLANK)
              RETURN VALIDATION MESSAGE
            ENDIF

            [PSS16] = PSS:RP.Payer.{PSSeqNum}:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
            [PSS17] = PSS:RP.Payer.{PSSeqNum}:pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier
            
    -->

    <assert  id="VR.ATO.PSS.000030" diagnostics="DVR.ATO.PSS.000030"
            test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and
                        ($PSS16 and string-length(normalize-space($PSS16)) != 0) 
                        and
                        ($PSS17 and string-length(normalize-space($PSS17)) != 0) 
                       )">
    </assert>

    
    <!-- Rule commenetd out for CR2723
            Rule: VR.ATO.PSS.000031
        
            IF [PSS16] = NULL AND [PSS17] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [PSS16] = PSS:RP.Payer.{PSSeqNum}:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
            [PSS17] = PSS:RP.Payer.{PSSeqNum}:pyid.02.00:Identifiers.WithholdingPayerNumber.Identifier
            
    -->

    <!--<assert  id="VR.ATO.PSS.000031" diagnostics="DVR.ATO.PSS.000031"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and
                        not($PSS16[not(@i:nil='true')])
                        and 
                        not($PSS17[not(@i:nil='true')])
                       )">
    </assert>-->


    <!--
            Rule: VR.ATO.PSS.000032
        
            IF ([PSS26] <> NULLORBLANK AND [PSS29] <> NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF

            [PSS26] = PSS:RP.Payer.{PSSeqNum}:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
            [PSS29] = PSS:RP.Payer.{PSSeqNum}:pyde.02.00:PersonNameDetails.FamilyName.Text
    -->

    <assert  id="VR.ATO.PSS.000032" diagnostics="DVR.ATO.PSS.000032"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and
                        ($PSS26 and string-length(normalize-space($PSS26)) != 0) 
                        and
                        ($PSS29 and string-length(normalize-space($PSS29)) != 0) 
                      )">
    </assert>

    <!--
            Rule: VR.ATO.PSS.000024
        
            WHERE IN RP.Payer.{PSSeqNum}
            IF (([PSS18] <> NULL AND
                ([PSS19] <> NULL OR [PSS20] <> NULL OR [PSS21] <> NULL OR [PSS31] <> NULL)) OR 
                ([PSS19] <> NULL AND ([PSS18] <> NULL OR [PSS20] <> NULL OR [PSS21] <> NULL OR [PSS31] <> NULL)) OR 
                ([PSS20] <> NULL AND ([PSS19] <> NULL OR [PSS18] <> NULL OR [PSS21] <> NULL OR [PSS31] <> NULL)) OR 
                ([PSS21] <> NULL AND ([PSS19] <> NULL OR [PSS20] <> NULL OR [PSS18] <> NULL OR [PSS31] <> NULL)) OR
                ([PSS31] <> NULL AND ([PSS19] <> NULL OR [PSS20] <> NULL OR [PSS21] <> NULL OR [PSS18] <> NULL)))
              RETURN VALIDATION MESSAGE
            ENDIF

            [PSS18] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [PSS19] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PSS20] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.VoluntaryAgreementGross.Amount
            [PSS21] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.LabourHireArrangementPaymentGross.Amount
            [PSS31] = PSS:RP.Payer.{PSSeqNum}:lrla.02.17:Remuneration.PersonalServicesIncome.AttributedGross.Amount
    -->

    <assert  id="VR.ATO.PSS.000024" diagnostics="DVR.ATO.PSS.000024"
             test="not( 
                        $thisPayerID = $RP.Payer.ContextId
                        and
                        sum(count($PSS18) +
                            count($PSS19) +  
                            count($PSS20) +  
                            count($PSS21) +  
                            count($PSS31)
                            ) 
                         &gt; 1
                      )">
    </assert>


    <!--
            Rule: VR.ATO.PSS.000025
        
            WHERE IN RP.Payer.{PSSeqNum}
            IF (([PSS18] <> NULL AND [PSS22] = NULL) OR 
                ([PSS19] <> NULL AND [PSS23] = NULL) OR 
                ([PSS20] <> NULL AND [PSS24] = NULL) OR 
                ([PSS21] <> NULL AND [PSS25] = NULL) OR 
                ([PSS31] <> NULL AND [PSS32] = NULL))
              
              RETURN VALIDATION MESSAGE
            ENDIF

            [PSS18] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [PSS19] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PSS20] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.VoluntaryAgreementGross.Amount
            [PSS21] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.LabourHireArrangementPaymentGross.Amount
            [pss22] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount
            [PSS23] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount
            [PSS24] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount
            [PSS25] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
            [PSS31] = PSS:RP.Payer.{PSSeqNum}:lrla.02.17:Remuneration.PersonalServicesIncome.AttributedGross.Amount
            [PSS32] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount
    -->
  
    
    <assert  id="VR.ATO.PSS.000025" diagnostics="DVR.ATO.PSS.000025"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and
                           ($PSS18) and (not($PSS22)) 
                        or ($PSS19) and (not($PSS23)) 
                        or ($PSS20) and (not($PSS24)) 
                        or ($PSS21) and (not($PSS25)) 
                        or ($PSS31) and (not($PSS32)) 
                      )">
    </assert>
    
    <!--
            Rule: VR.ATO.PSS.000013
         
            WHERE IN RP.Payer.{PSSeqNum}
            IF  ([PSS22] > 0 AND [PSS22] > [PSS18]*0.50 + 1) OR 
                ([PSS23] > 0 AND [PSS23] > [PSS19]*0.50 + 1) OR 
                ([PSS24] > 0 AND [PSS24] > [PSS20]*0.50 + 1) OR 
                ([PSS25] > 0 AND [PSS25] > [PSS21]*0.50 + 1) OR 
                ([PSS32] > 0 AND [PSS32] > [PSS31]*0.50 + 1)
               
               RETURN VALIDATION MESSAGE
            ENDIF

            [PSS18] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount
            [PSS19] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [PSS20] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.VoluntaryAgreementGross.Amount
            [PSS21] = PSS:RP.Payer.{PSSeqNum}:lrla.02.00:Remuneration.LabourHireArrangementPaymentGross.Amount
            [PSS22] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount
            [PSS23] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount
            [PSS24] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount
            [PSS25] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
            [PSS31] = PSS:RP.Payer.{PSSeqNum}:lrla.02.17:Remuneration.PersonalServicesIncome.AttributedGross.Amount
            [PSS32] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount

    -->

    <assert  id="VR.ATO.PSS.000013" diagnostics="DVR.ATO.PSS.000013"
             test="not(
                        $thisPayerID = $RP.Payer.ContextId
                        and
                           (sum($PSS22) > 0 and (sum($PSS22) > (sum($PSS18) *.50 + 1))) 
                        or (sum($PSS23) > 0 and (sum($PSS23) > (sum($PSS19) *.50 + 1))) 
                        or (sum($PSS24) > 0 and (sum($PSS24) > (sum($PSS20) *.50 + 1))) 
                        or (sum($PSS25) > 0 and (sum($PSS25) > (sum($PSS21) *.50 + 1))) 
                        or (sum($PSS32) > 0 and (sum($PSS32) > (sum($PSS31) *.50 + 1))) 
                      )">
    </assert>
    
    <!--
            Rule: VR.ATO.PSS.000023
         
            WHERE IN RP.Payer.{PSSeqNum}
            IF (([PSS22] <> NULL AND 
                ([PSS23] <> NULL OR [PSS24] <> NULL OR [PSS25] <> NULL OR [PSS32] <> NULL)) OR 
                ([PSS23] <> NULL AND ([PSS22] <> NULL OR [PSS24] <> NULL OR [PSS25] <> NULL OR [PSS32] <> NULL)) OR  
                ([PSS24] <> NULL AND ([PSS22] <> NULL OR [PSS23] <> NULL OR [PSS25] <> NULL OR [PSS32] <> NULL)) OR 
                ([PSS25] <> NULL AND ([PSS22] <> NULL OR [PSS24] <> NULL OR [PSS23] <> NULL OR [PSS32] <> NULL)) OR 
                ([PSS32] <> NULL AND ([PSS22] <> NULL OR [PSS24] <> NULL OR [PSS25] <> NULL OR [PSS23] <> NULL)))
               RETURN VALIDATION MESSAGE
            ENDIF

            [PSS22] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessForeignResident.Amount
            [PSS23] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessABNNotQuoted.Amount
            [PSS24] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessVoluntaryAgreement.Amount
            [PSS25] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldBusinessLabourHireOrOtherPayments.Amount
            [PSS32] = PSS:RP.Payer.{PSSeqNum}:rvctc2.02.14:IncomeTax.PayAsYouGoWithholding.CreditTaxWithheldPersonalServicesIncome.Amount

    -->

    <assert  id="VR.ATO.PSS.000023" diagnostics="DVR.ATO.PSS.000023"
             test="not(
                          $thisPayerID = $RP.Payer.ContextId
                          and
                          sum(count($PSS22) +
                              count($PSS23) +  
                              count($PSS24) +  
                              count($PSS25) +  
                              count($PSS32)
                              )
                          &gt; 1
                      )">
    </assert>
  
  </rule>

</pattern>

