﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Address" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Address Common Validations</title>

  <!--RS Schedules do not use any tuples or common modules.All elements are stand alone and not part of any tuple.-->
  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    <!--
      IF ([RS21] = NULL)
        RETURN VALIDATION MESSAGE
      ENDIF

      [RS21] = RS:RP:pyde.02.00:AddressDetails.StateOrTerritory.Code
    -->

    <assert  id="VR.ATO.RS.000018" diagnostics="DVR.ATO.RS.000018" test="pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"></assert>


    <!--
    IF (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> SET("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
        RETURN VALIDATION MESSAGE
    ENDIF
    -->

    <let name="ucName" value="upper-case(pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])" />
    <assert  id="VR.ATO.GEN.428036" diagnostics="DVR.ATO.GEN.428036" test="pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef = $RP.ContextId and @i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0] or                
                    $ucName = 'ACT' or 
                    $ucName = 'NSW' or 
                    $ucName = 'NT' or 
                    $ucName = 'QLD' or 
                    $ucName = 'SA' or 
                    $ucName = 'VIC' or 
                    $ucName = 'WA' or              
                    $ucName = 'TAS'"></assert>

    
    <!--
      IF ([RS20] = NULLORBLANK)
        RETURN VALIDATION MESSAGE
      ENDIF

      [RS20] = RS:RP:pyde.02.00:AddressDetails.Postcode.Text
    -->

    <assert  id="VR.ATO.RS.000017" diagnostics="DVR.ATO.RS.000017" test="pyde.02.00:AddressDetails.Postcode.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>

    <!--
          IF (pyde.xx.xx:AddressDetails.Postcode.Text <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Postcode.Text  <> SET(0200-9999))
            RETURN VALIDATION MESSAGE
          ENDIF 
        -->

    <assert  id="VR.ATO.GEN.428041" diagnostics="DVR.ATO.GEN.428041"
             test="number($RS20) &gt;=200 and number($RS20) &lt;=9999"></assert>
    
    <!--
     IF ([RS19] = NULLORBLANK)
        RETURN VALIDATION MESSAGE
     ENDIF

    [RS19] = RS:RP:pyde.02.00:AddressDetails.LocalityName.Text
    -->
    <assert id="VR.ATO.RS.000016" diagnostics="DVR.ATO.RS.000016"
       test="pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
    </assert>

    
    <!--  
          IF LENGTH(pyde.xx.xx:AddressDetails.LocalityName.Text) > 27
            RETURN VALIDATION MESSAGE
          ENDIF  
        -->

    <assert  id="VR.ATO.GEN.500020" diagnostics="DVR.ATO.GEN.500020" test="not(
             pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 27]
      )"></assert>


    <!--  
         IF (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS NUMERICS SET(0-9))
            RETURN VALIDATION MESSAGE
         ENDIF

        -->

    <assert  id="VR.ATO.GEN.428257" diagnostics="DVR.ATO.GEN.428257" test="not(
             pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(.*)[0-9](.*)$')]
      )"></assert>
    
    
    <!--  
          IF LENGTH(pyde.xx.xx:AddressDetails.Line2.Text) > 38
             RETURN VALIDATION MESSAGE
          ENDIF
        -->

    <assert  id="VR.ATO.GEN.500019" diagnostics="DVR.ATO.GEN.500019" test="not(
             pyde.02.00:AddressDetails.Line2.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 38]
      )"></assert>

    <!--
      IF ([RS17] = NULLORBLANK)
      RETURN VALIDATION MESSAGE
      ENDIF

      [RS17] = RS:RP:pyde.02.00:AddressDetails.Line1.Text
    -->
    <assert id="VR.ATO.RS.000015" diagnostics="DVR.ATO.RS.000015"
       test="pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]">
    </assert>
    
    <!--
         IF ((pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "C/-") AND (pyde.xx.xx:AddressDetails.Line 2.Text = NULLORBLANK))
            RETURN VALIDATION MESSAGE
         ENDIF
        -->

    <assert  id="VR.ATO.GEN.428026" diagnostics="DVR.ATO.GEN.428026" test="not(
                      pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and contains(upper-case(.), 'C/-')] and
                      not(pyde.02.00:AddressDetails.Line2.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                  )"></assert>

    <!--  
          IF LENGTH(pyde.xx.xx:AddressDetails.Line1.Text) > 38
             RETURN VALIDATION MESSAGE
          ENDIF
        -->

    <assert  id="VR.ATO.GEN.500018" diagnostics="DVR.ATO.GEN.500018" test="not(
             pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 38]
      )"></assert>
    
  </rule>
  

  
 <rule context="pyde.02.00:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]">

<!--
            IF (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK) AND 
             (pyde.xx.xx:AddressDetails.Line1.Text STARTSWITH SET("C/O ","C/ ","Care Of ","CO ")) OR 
             (pyde.xx.xx:AddressDetails.Line1.Text CONTAINS SET(" C/O "," C/ "," Care Of "))
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

<assert  id="VR.ATO.GEN.000406" diagnostics="DVR.ATO.GEN.000406" test="not(
                        matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or
                        matches(.,'^(.*)( C/O | C/ | Care Of )(.*)$','i') or
                        matches(.,'^(.*)( C/O| C/| Care Of)$','i') or
                        matches(.,'^(C/O|C/|Care Of|CO)$','i')
                      )"></assert>

  
  
  
 
</rule>

<rule context="pyde.02.00:AddressDetails.Line2.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]">
<!--
            IF (pyde.xx.xx:AddressDetails.Line2.Text <> NULLORBLANK) AND 
             (pyde.xx.xx:AddressDetails.Line2.Text STARTSWITH SET("C/- ","C/O ","C/ ","Care Of ","CO ") OR 
              pyde.xx.xx:AddressDetails.Line2.Text CONTAINS SET(" C/- "," C/O "," C/ "," Care Of "))
            RETURN VALIDATION MESSAGE
          ENDIF
        -->
<assert  id="VR.ATO.GEN.000408" diagnostics="DVR.ATO.GEN.000408" test="not(
                            matches(.,'^(C/- |C/O |C/ |Care Of |CO )(.*)$','i') or
                            matches(.,'^(.*)( C/- | C/O | C/ | Care Of )(.*)$','i') or
                            matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or
                            matches(.,'^(C/-|C/O|C/|Care Of|CO)$','i')
                          )"></assert>


</rule>

<rule context="pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]">

<!--
      IF (pyde.xx.xx:AddressDetails.LocalityName.Text = FOUND("QLD","NSW","VIC","SA","WA","NT ","ACT","TAS"))
          RETURN VALIDATION MESSAGE
      ENDIF
        -->
 
  <assert  id="VR.ATO.GEN.428230" diagnostics="DVR.ATO.GEN.428230" test="not(matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)','i'))"></assert>
</rule>
  


</pattern>